
/*-- SEQ 0001 --*/
ALTER TABLE TT_VEN ADD CODNSU INTEGER;

/*-- SEQ 0002 --*/
CREATE INDEX I_LC_VEN_NSU ON TT_VEN (CODNSU)  ;

/*-- SEQ 0003 --*/
ALTER TABLE TT_ORC ADD CODSEQ INTEGER;

/*-- SEQ 0004 --*/
CREATE INDEX I_LC_ORC_NSU ON TT_ORC (CODSEQ)  ;


/*-- SEQ 0005 --*/
ALTER TABLE TW_CLI ADD FILUSU CHAR(3);

/*-- SEQ 0006 --*/
ALTER TABLE TW_CLI ADD CODUSU CHAR(3);


/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TGIDF() CASCADE;

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION _testenull_tt_idf() CASCADE;

/*-- SEQ 0009 --*/
ALTER TABLE TT_IDF ADD PROTEQ VARCHAR(40);


/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ADD GLOBAL CHAR(1);



/*-- SEQ 0011 --*/
ALTER TABLE TT_COB ADD DATPRO Timestamp;



/*-- SEQ 0012 --*/
ALTER TABLE TT_CLI ADD NAODIV CHAR(1);

/*-- SEQ 0013 --*/
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_NAODIV CHECK (NAODIV IN ('T','F'));

/*-- SEQ 0014 --*/
ALTER TABLE TT_CLI ALTER COLUMN NAODIV SET DEFAULT 'F';

/*-- SEQ 0015 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0016 --*/
UPDATE TT_CLI SET NAODIV = 'F' WHERE NAODIV IS NULL;

/*-- SEQ 0017 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));


/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
alter table TT_PRE
  add constraint FK_PRE_DMOE_CODMOE foreign key (CODMOE)
  references TD_MOE (CODTAB);



/*-- SEQ 0019 --*/
SELECT DISABLETRIGGERS(LOWER('TT_ITF'));

/*-- SEQ 0020 --*/
insert into tl_fin (origem,filori,seqori,parori,subori,flgest,datinc)
(select cast('TEF' as char(3)) as origem,
        ITF.CODFIL,
        ITF.SEQUEN,
        1 AS NUMITE,
        cast('--' as char(2)),
        'N',
        agora()
from tt_itf itf INNER JOIN tt_ctm ctm ON ctm.seqtef=itf.sequen
                LEFT JOIN TL_FIN LFIN ON LFIN.ORIGEM='TEF' AND ITF.CODFIL=LFIN.FILORI AND ITF.SEQUEN=LFIN.SEQORI
where ctm.seqtef=itf.sequen
   and itf.flgest<>'C'
   and lfin.origem is null
   and itf.numite<>to_number(trim(ctm.numpar))   
);

/*-- SEQ 0021 --*/  
insert into tl_fin (origem,filori,seqori,parori,subori,flgest,datinc)
(select cast('TEF' as char(3)) as origem,
        ITF.CODFIL,
        ITF.SEQUEN,
        TRIM(CTM.NUMPAR),
        cast('--' as char(2)),
        'N',
        agora()
from tt_itf itf INNER JOIN tt_ctm ctm ON ctm.seqtef=itf.sequen
where ctm.seqtef=itf.sequen
   and itf.flgest<>'C'
   and itf.numite<>to_number(trim(ctm.numpar))
);

/*-- SEQ 0022 --*/
update tt_itf itf
   set numite=(SELECT to_number(trim(ctm.numpar)) from tt_ctm ctm where ctm.seqtef=itf.sequen)
 where flgest<>'C'
   and itf.numite<>(SELECT to_number(trim(ctm.numpar)) from tt_ctm ctm where ctm.seqtef=itf.sequen);

/*-- SEQ 0023 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ITF'));


/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
select * from nada;


/*-- SEQ 0025 --*/
insert into tl_fin (origem,filori,seqori,parori,subori,flgest,datinc)
(select cast('TEF' as char(3)) as origem,
        itf.codfil,
        itf.SEQUEN,
        itf.numite,
        cast('--' as char(2)),
        'N',
        agora()
   from tt_tef tef inner join tt_itf itf on tef.codfil=itf.codfil and tef.sequen=itf.sequen
                   inner join td_car car on car.codtab=tef.cartao
                    left join tt_ctm ctm on ctm.seqtef=tef.sequen
                    left join tl_fin lfin on lfin.origem='TEF' and lfin.filori=itf.codfil and lfin.seqori=itf.sequen and lfin.parori=itf.numite
  where ctm.codfil is null
    and lfin.origem is null
    and itf.datven > add_day(tef.datfis,case when tef.tipope='C' then car.diacar else diadeb end*itf.numite+5)
    and tef.dattrn > to_date('15/05/2007','dd/mm/yyyy')    
);

/*-- SEQ 0026 --*/
SELECT DISABLETRIGGERS(LOWER('TT_ITF'));

/*-- SEQ 0027 --*/
update tt_itf itf
   set datven=(select add_day(datfis,case when tef.tipope='C' then car.diacar else car.diadeb end*itf.numite)
                 from tt_tef tef inner join td_car car on car.codtab=tef.cartao                                  
                where tef.codfil=itf.codfil 
                  and tef.sequen=itf.sequen)
 where (codfil,sequen) in 
       (select itf.codfil,itf.sequen
          from tt_tef tef inner join tt_itf itf on tef.codfil=itf.codfil and tef.sequen=itf.sequen
                          inner join td_car car on car.codtab=tef.cartao
                           left join tt_ctm ctm on ctm.seqtef=tef.sequen
         where ctm.codfil is null
           and itf.datven > add_day(tef.datfis,case when tef.tipope='C' then car.diacar else diadeb end*itf.numite+5)
           and tef.dattrn > to_date('15/05/2007','dd/mm/yyyy')
        )
    and itf.flgest<>'C';

/*-- SEQ 0028 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ITF'));


/*-- SEQ 0029 --*/
SELECT DISABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0030 --*/
UPDATE TT_SAL
   SET INI_CM = null,
       VLR_CM = null,
       QTD_CM = null,
       VLRCMG = null
 WHERE CODMUL <> 0;

/*-- SEQ 0031 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAL'));


/*-- SEQ 0032 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0033 --*/
SELECT DISABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0034 --*/
update tt_cta set aturea='F', atuare='F', datrea=null, datare=null
where (codfil,sequen) in (
select cxf.filcta, cxf.seqcta
  from tt_ctaxfil cxf inner join tr_cta rcta on cxf.codfil=rcta.fillan 
                                            and cxf.filcta=rcta.filcta 
                                            and cxf.seqcta=rcta.seqcta
                                            and cxf.data_inicial=rcta.datlan                                           
 where cxf.saldo_inicial_a<0
   and rcta.flgflx='A'
union 
select cxf.filcta, cxf.seqcta
  from tt_ctaxfil cxf inner join tr_cta rcta on cxf.codfil=rcta.fillan 
                                            and cxf.filcta=rcta.filcta 
                                            and cxf.seqcta=rcta.seqcta
                                            and cxf.data_inicial=rcta.datlan                                           
 where cxf.saldo_inicial_R<0
   and rcta.flgflx='R'
);

/*-- SEQ 0035 --*/
update tr_cta set totdeb=abs(totdeb)
where (fillan,filcta,seqcta,datlan) in (
select cxf.codfil, cxf.filcta, cxf.seqcta, data_inicial
  from tt_ctaxfil cxf 
 where cxf.saldo_inicial_a<0
union 
select cxf.codfil, cxf.filcta, cxf.seqcta, data_inicial
  from tt_ctaxfil cxf inner join tr_cta rcta on cxf.codfil=rcta.fillan 
                                            and cxf.filcta=rcta.filcta 
                                            and cxf.seqcta=rcta.seqcta
                                            and cxf.data_inicial=rcta.datlan                                           
 where cxf.saldo_inicial_R<0
);

/*-- SEQ 0036 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0037 --*/
SELECT ENABLETRIGGERS(LOWER('TR_CTA'));



/*-- SEQ 0038 --*/
SELECT DISABLETRIGGERS(LOWER('TT_FIN'));

/*-- SEQ 0039 --*/
UPDATE TT_FIN FIN
   SET SEQTRN = (SELECT NOVO_SEQTRN FROM CORRECAO_ABE_FEC COR WHERE COR.CODFIL=FIN.CODFIL AND COR.SEQUEN=FIN.SEQUEN),
       SEQGER = '         3',
       TIPGER='M'
 WHERE (CODFIL,SEQUEN) IN (SELECT CODFIL,SEQUEN FROM CORRECAO_ABE_FEC);

/*-- SEQ 0040 --*/
SELECT ENABLETRIGGERS(LOWER('TT_FIN'));


