
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ECT DROP CONSTRAINT FK_ECT_ECT;

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ECT ADD CONSTRAINT FK_ECT_ECT FOREIGN KEY (FILECT,SEQECT) REFERENCES TT_ECT (CODFIL,SEQUEN) ON DELETE CASCADE;

/*-- SEQ 0003 --*/
ALTER TABLE TT_ECT ADD ORDECT Numeric(5);

/*-- SEQ 0004 --*/
ALTER TABLE TT_CTA ADD ORDCTA Numeric(5);

/*-- SEQ 0005 --*/
CREATE OR REPLACE FUNCTION RENUMERA_ECT()
RETURNS VARCHAR AS '
DECLARE

vCODFIL   TT_ECT.CODFIL%TYPE;
vSEQUEN   TT_ECT.SEQUEN%TYPE;
vCHVPAI   TT_ECT.CHVPAI%TYPE;
vAUX_CHVPAI   TT_ECT.CHVPAI%TYPE;
vORDEM Numeric;

CONTAS CURSOR FOR
   SELECT CODFIL, SEQUEN, CHVPAI
     FROM TT_ECT
    ORDER BY CHVPAI, TITECT;

BEGIN
  vAUX_CHVPAI := '''';
  OPEN CONTAS;
  LOOP
    FETCH CONTAS INTO vCODFIL, vSEQUEN, vCHVPAI;
    EXIT WHEN NOT FOUND;

    IF vAUX_CHVPAI <> COALESCE(vCHVPAI,''A'') THEN
       vAUX_CHVPAI := vCHVPAI;
       vORDEM := 1;
       UPDATE TT_ECT SET ORDECT = vORDEM
        WHERE CODFIL = vCODFIL
          AND SEQUEN = vSEQUEN;
    ELSE
       vORDEM := vORDEM + 1;
       UPDATE TT_ECT SET ORDECT = vORDEM
        WHERE CODFIL = vCODFIL
          AND SEQUEN = vSEQUEN;
    END IF;

  END LOOP;
  CLOSE CONTAS;


RETURN ''OK'';

END;
' language 'plpgsql';

/*-- SEQ 0006 --*/
SELECT RENUMERA_ECT();

/*-- SEQ 0007 --*/
DROP FUNCTION RENUMERA_ECT() CASCADE;

/*-- SEQ 0008 --*/
CREATE OR REPLACE FUNCTION RENUMERA_CTA()
RETURNS VARCHAR AS '
DECLARE

vCODFIL   TT_CTA.CODFIL%TYPE;
vSEQUEN   TT_CTA.SEQUEN%TYPE;
vCHVPAI   TT_ECT.CHVPAI%TYPE;
vAUX_CHVPAI   TT_ECT.CHVPAI%TYPE;
vORDEM Numeric;

CONTAS CURSOR FOR
   SELECT CODFIL, SEQUEN, FILECT||SEQECT AS CHVPAI
     FROM TT_CTA
    ORDER BY FILECT||SEQECT, TITCTA;
BEGIN
  vAUX_CHVPAI := '''';
  OPEN CONTAS;
  LOOP
    FETCH CONTAS INTO vCODFIL, vSEQUEN, vCHVPAI;
    EXIT WHEN NOT FOUND;

    IF vAUX_CHVPAI <> COALESCE(vCHVPAI,''A'') THEN
       vAUX_CHVPAI := vCHVPAI;
       vORDEM := 1;
       UPDATE TT_CTA SET ORDCTA = vORDEM
        WHERE CODFIL = vCODFIL
          AND SEQUEN = vSEQUEN;
    ELSE
       vORDEM := vORDEM + 1;
       UPDATE TT_CTA SET ORDCTA = vORDEM
        WHERE CODFIL = vCODFIL
          AND SEQUEN = vSEQUEN;
    END IF;

  END LOOP;
  CLOSE CONTAS;


RETURN ''OK'';

END;
' language 'plpgsql';

/*-- SEQ 0009 --*/
SELECT RENUMERA_CTA();

/*-- SEQ 0010 --*/
DROP FUNCTION RENUMERA_CTA() CASCADE;


/*-- SEQ 0011 --*/
ALTER TABLE TT_ECT ALTER COLUMN ORDECT SET NOT NULL;

/*-- SEQ 0012 --*/
ALTER TABLE TT_CTA ALTER COLUMN ORDCTA SET NOT NULL;

/*-- SEQ 0013 --*/
CREATE UNIQUE INDEX I_UQ_ECT_ORDECT ON TT_ECT (CHVPAI, ORDECT)  ;

/*-- SEQ 0014 --*/
CREATE UNIQUE INDEX I_UQ_CTA_ORDECT ON TT_CTA (FILECT, SEQECT, ORDCTA)  ;


/*-- SEQ 0015 --*/
CREATE TABLE TW_EXT 
(  
   USERID Numeric, 
   SEQUEN VARCHAR(10), 
   SALDO  Numeric,  
   DATPGT Timestamp, 
   APEUSU VARCHAR(10), 
   FILREC VARCHAR(3), 
   DOCUME VARCHAR(4000),
   HISTOR VARCHAR(4000), 
   FILCLI VARCHAR(3), 
   CODCLI VARCHAR(6),
   NOMCLI VARCHAR(64), 
   ULTNOM VARCHAR(30), 
   TABORI VARCHAR(3), 
   NUMDOC VARCHAR(15),
   VLRPGT Numeric, 
   FLGEST VARCHAR(1), 
   OBSINT VARCHAR(4000), 
   DEBITO Numeric,    
   FILLAN VARCHAR(3), 
   SEQLAN VARCHAR(10), 
   PARLAN VARCHAR(2), 
   SUBLAN VARCHAR(2), 
   CREDIT Numeric, 
   TITCRT VARCHAR(250), 
   NOMORI VARCHAR(20),
   FILCTA VARCHAR(3), 
   SEQCTA VARCHAR(10), 
   TIPCTA VARCHAR(1),
   TITCTA VARCHAR(250) 
)  ;

/*-- SEQ 0016 --*/
CREATE INDEX I_LC_WEXT_CONTA  ON TW_EXT (USERID, FILCTA, SEQCTA, TIPCTA)  ;

/*-- SEQ 0017 --*/
ALTER TABLE TW_EXT ADD CONSTRAINT PK_WEXT PRIMARY KEY (SEQUEN)   ;

/*-- SEQ 0018 --*/
CREATE SEQUENCE SQWEXT  INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0019 --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,236)||SUBSTR(PERMIS,213,1)||SUBSTR(PERMIS,238,9999);


/*-- SEQ 0020 --*/
ALTER TABLE TT_CFG ADD PENAUT VARCHAR(1);

/*-- SEQ 0021 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PENAUT CHECK (PENAUT IN ('T','F'));

/*-- SEQ 0022 --*/
ALTER TABLE TT_CFG ALTER COLUMN PENAUT SET DEFAULT 'F';

/*-- SEQ 0023 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0024 --*/
UPDATE TT_CFG SET PENAUT = 'F' WHERE PENAUT IS NULL;

/*-- SEQ 0025 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN PENAUT SET NOT NULL;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD PENAUT VARCHAR(1);

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_PENAUT CHECK (PENAUT IN ('T','F'));

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ALTER COLUMN PENAUT SET DEFAULT 'T';


/*-- SEQ 0030 --*/
ALTER TABLE TI_ICO ADD ICMTIP CHAR(1);

/*-- SEQ 0031 --*/
CREATE INDEX I_LC_IICO_STATUS ON TI_ICO (STATUS)  ;


/*-- SEQ 0032 --*/
ALTER TABLE TT_CFG ADD FILCMP CHAR(3);

/*-- SEQ 0033 --*/
ALTER TABLE TW_CFG ADD FILCMP CHAR(3);

/*-- SEQ 0034 --*/
alter table TT_CFG  add constraint FK_CFG_DFIL_FILCMP foreign key (FILCMP) references TD_FIL (CODFIL);


/*-- SEQ 0035 --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,237)||'N'||SUBSTR(PERMIS,239,9999);


/*-- SEQ 0036 --*/
INSERT INTO TT_SAL (CODFIL,FILMAT,CODMAT,CODCOR,CODTAM,CODMUL)
    (SELECT /*+ INDEX(FIL,PK_DFIL) INDEX(GRA,PK_GRA)  */
            FIL.CODFIL,GRA.FILMAT,GRA.CODMAT,GRA.CODCOR,GRA.CODTAM,MUL.CODTAB
       FROM TT_GRA GRA, TD_FIL FIL, TD_MUL MUL
      WHERE MUL.MULATI = 'T'
        AND FIL.FILATI = 'T'
        AND NOT EXISTS (SELECT /*+ INDEX(SAL,AK_SAL)  */
                               CODFIL,FILMAT,CODMAT,CODCOR,CODTAM,CODMUL
                          FROM TT_SAL SAL
                         WHERE SAL.CODFIL = FIL.CODFIL
                           AND SAL.CODMUL = MUL.CODTAB
                           AND SAL.FILMAT = GRA.FILMAT
                           AND SAL.CODMAT = GRA.CODMAT
                           AND SAL.CODCOR = GRA.CODCOR
                           AND SAL.CODTAM = GRA.CODTAM));



/*-- SEQ 0037 --*/
insert into tl_fin (origem,filori,seqori,parori,subori,flgest,datinc)
(select cast('TEF' as char(3)) as origem,
        itf.codfil,
        itf.SEQUEN,
        itf.numite,
        cast('--' as char(2)),
        'N',
        agora()
   from tt_tef tef inner join tt_itf itf on tef.codfil=itf.codfil and tef.sequen=itf.sequen
                   inner join td_car car on car.codtab=tef.cartao
                    left join tt_ctm ctm on ctm.seqtef=tef.sequen
                    left join tl_fin lfin on lfin.origem='TEF' and lfin.filori=itf.codfil and lfin.seqori=itf.sequen and lfin.parori=itf.numite
  where (ctm.codfil is null or ctm.numpar=' 1')
    and lfin.origem is null
    and itf.datven > add_day(tef.datfis,case when tef.tipope='C' then car.diacar else diadeb end*itf.numite+5)
    and itf.flgest='A'
);

/*-- SEQ 0038 --*/
SELECT DISABLETRIGGERS(LOWER('TT_ITF'));

/*-- SEQ 0039 --*/
update tt_itf itf
   set datven=(select add_day(datfis,case when tef.tipope='C' then car.diacar else car.diadeb end*itf.numite)
                 from tt_tef tef inner join td_car car on car.codtab=tef.cartao                                  
                where tef.codfil=itf.codfil 
                  and tef.sequen=itf.sequen)
 where (codfil,sequen) in 
       (select itf.codfil,itf.sequen
          from tt_tef tef inner join tt_itf itf on tef.codfil=itf.codfil and tef.sequen=itf.sequen
                          inner join td_car car on car.codtab=tef.cartao
                           left join tt_ctm ctm on ctm.seqtef=tef.sequen
         where (ctm.codfil is null or ctm.numpar=' 1')
           and itf.datven > add_day(tef.datfis,case when tef.tipope='C' then car.diacar else diadeb end*itf.numite+5)
           and itf.flgest='A'
        )
    and itf.flgest='A';

/*-- SEQ 0040 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ITF'));


/*-- SEQ 0041 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_CTA SET TITCTA = 
( SELECT DCTA.DESCTA
    FROM TT_CTA CTA INNER JOIN TD_CTA DCTA ON CTA.CODFIL = DCTA.FILCTA AND CTA.SEQUEN = DCTA.SEQCTA 
                                         AND DCTA.CFGCOL = 'TIPCTA_MER_REV'
   WHERE CTA.TIPCTA = 'G'
     AND CTA.USOCTA = 'O'
 )
WHERE (CODFIL,SEQUEN) = (SELECT FILCTA,  SEQCTA
                            FROM TD_CTA
                           WHERE CFGCOL = 'TIPCTA_MER_REV');


/*-- SEQ 0043 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CTA'));


/*-- SEQ 0044 --*/
ALTER TABLE TT_CCC ADD TIPLAN CHAR(1);



/*-- SEQ 0045 --*/
ALTER TABLE TW_CTA ADD VLRT10 Numeric;

/*-- SEQ 0046 --*/
ALTER TABLE TW_CTA ADD VLRT11 Numeric;


/*-- SEQ 0047 --*/
ALTER TABLE TW_CTA ADD VLRT12 Numeric;


/*-- SEQ 0048 --*/
ALTER TABLE TT_CCC ADD CONSTRAINT CK_CCC_TIPLAN CHECK (TIPLAN IN ('V','L','T','R','H','C','M','S','B','D','I','E','F','P','G','X','Z','J','A','O','N','Q','U','W'));


/*-- SEQ 0049 --*/
DROP INDEX I_UQ_CPM_PRE_PLA;

/*-- SEQ 0050 --*/
create unique index I_UQ_CPM_PRE_PLA on TT_CPM (FILPRE,SEQPRE,FILPGT,CODPGT,DATINI,DATVAL)
   ;


/*-- SEQ 0051 --*/
CREATE INDEX I_LC_ECCC_DATIMP ON TE_CCC (DATIMP)  ;

/*-- SEQ 0052 --*/
ALTER TABLE TT_IED ADD DIALIM Numeric(2);

/*-- SEQ 0053 --*/
CREATE INDEX I_LC_ICLI_CODEXT ON TI_CLI (CODEXT)  ;

/*-- SEQ 0054 --*/
CREATE INDEX I_LC_ICLI_ENDERE ON TI_CLI (CODEXT, NUMEND, NUMCON)  ;



/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA; 



/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQLAY1 INCREMENT 1 START 1 MINVALUE 1;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQLAY2 INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TI_LAN','CODEXT','VARCHAR(20)');


/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_LAN SET CODEXT = TRIM(CODEXT); 

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_ILAN_CODEXT ON TI_LAN (CODEXT)  ; 





/*-- SEQ 0061 --*/
UPDATE TL_FIN SET SUBORI='--'
WHERE trim(SUBORI)=CHR(39);


/*-- SEQ 0062 --*/
SELECT ExecAlteraTipoColuna('TW_VEN_FIS','CODSER','VARCHAR(3)');


/*-- SEQ 0063 --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','CODSER','VARCHAR(3)');


