
/*-- SEQ 0001 --*/
CREATE TABLE TL_CTF (
   CODFIL CHAR(3),
   SEQUEN CHAR(10),
   DATINC Timestamp,
   FILUSU CHAR(3),
   CODUSU CHAR(3), 
   TEMPLA Numeric(5),
   ULTPON Numeric(10),
   XMLRET VARCHAR(4000))  ;

/*-- SEQ 0002 --*/
ALTER TABLE TL_CTF ADD CONSTRAINT PK_LCTF PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0003 --*/
ALTER TABLE TL_CTF ADD CONSTRAINT FK_LCTF_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0004 --*/
ALTER TABLE TL_CTF ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0005 --*/
ALTER TABLE TL_CTF ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0006 --*/
ALTER TABLE TL_CTF ALTER COLUMN TEMPLA SET NOT NULL;

/*-- SEQ 0007 --*/
ALTER TABLE TL_CTF ALTER COLUMN ULTPON SET NOT NULL;

/*-- SEQ 0008 --*/
ALTER TABLE TL_CTF ALTER COLUMN XMLRET SET NOT NULL;

/*-- SEQ 0009 --*/ 
CREATE SEQUENCE SQLCTF INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_BASE_MARKUP;

/*-- SEQ 0011 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_BASE_MARKUP CHECK (BASE_MARKUP IN ('R','I','B','C','1','2','3','4'));


/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TT_DESXCLI','VLRDES','Numeric(14,4)');



/*-- SEQ 0013 --*/
ALTER TABLE TD_FIL ADD DIGITACAO_ATACADO VARCHAR(1);

/*-- SEQ 0014 --*/
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));


/*-- SEQ 0015 --*/
UPDATE TD_FIL SET DIGITACAO_ATACADO = (SELECT DIGITACAO_ATACADO FROM TT_CFG);

/*-- SEQ 0016 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0017 --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_DIGITACAO_ATACADO CHECK (DIGITACAO_ATACADO IN ('T','F'));

/*-- SEQ 0018 --*/
ALTER TABLE TD_FIL ALTER COLUMN DIGITACAO_ATACADO SET NOT NULL;

/*-- SEQ 0019 --*/
ALTER TABLE TD_FIL ALTER COLUMN DIGITACAO_ATACADO SET DEFAULT 'T';



/*-- SEQ 0020 --*/
ALTER TABLE TT_CFG DROP COLUMN DIGITACAO_ATACADO CASCADE;

/*-- SEQ 0021 --*/
ALTER TABLE Tw_CFG DROP COLUMN DIGITACAO_ATACADO CASCADE;


/*-- SEQ 0022 --*/
ALTER TABLE TD_SER ADD TITAVU VARCHAR(1);

/*-- SEQ 0023 --*/
ALTER TABLE TD_SER ADD CONSTRAINT CK_DSER_TITAVU CHECK (TITAVU IN ('T','F'));

/*-- SEQ 0024 --*/
SELECT DISABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0025 --*/
UPDATE TD_SER SET TITAVU = 'F';

/*-- SEQ 0026 --*/
SELECT ENABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0027 --*/
ALTER TABLE TD_SER ALTER COLUMN TITAVU SET NOT NULL;

/*-- SEQ 0028 --*/
ALTER TABLE TD_SER ALTER COLUMN TITAVU SET DEFAULT 'F';

/*-- SEQ 0029 --*/
ALTER TABLE TW_TAB ADD TITAVU VARCHAR(1);

/*-- SEQ 0030 --*/
ALTER TABLE TW_TAB ALTER COLUMN TITAVU SET DEFAULT 'F';




/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
DROP VIEW TV_TAB_002;

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
DROP VIEW TV_WEB CASCADE;

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
DROP VIEW TV_TAB_OUT;

/*-- SEQ 0034 --*/
SELECT ExecAlteraTipoColuna('TD_CL1',' CLASS1','VARCHAR(40)');


/*-- SEQ 0035 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS1','VARCHAR(40)');


/*-- SEQ 0036 --*/
SELECT ExecAlteraTipoColuna('TD_CL2',' CLASS2','VARCHAR(40)');


/*-- SEQ 0037 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS2','VARCHAR(40)');


/*-- SEQ 0038 --*/
SELECT ExecAlteraTipoColuna('TD_CL3',' CLASS3','VARCHAR(40)');


/*-- SEQ 0039 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS3','VARCHAR(40)');


/*-- SEQ 0040 --*/
SELECT ExecAlteraTipoColuna('TD_CL4',' CLASS4','VARCHAR(40)');


/*-- SEQ 0041 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS4','VARCHAR(40)');



/*-- SEQ 0042 --*/
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0043 --*/
UPDATE TT_GRA
   SET MARKUP = 0
 WHERE MARKUP < 0
    OR MARKUP > 99;

/*-- SEQ 0044 --*/
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));


/*-- SEQ 0045 --*/
ALTER TABLE TT_CFG ADD ALTERA_PRECO_ORC_SEPARADO VARCHAR(1);

/*-- SEQ 0046 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ALT_PRE_ORC_SEPARADO CHECK (ALTERA_PRECO_ORC_SEPARADO IN ('T','F'));

/*-- SEQ 0047 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0048 --*/
UPDATE TT_CFG SET ALTERA_PRECO_ORC_SEPARADO = CASE WHEN (SELECT CGCFIL FROM TD_FIL WHERE CODFIL = '001') = '76193713000180' 
                                                   THEN 'T' ELSE 'F'
                                              END

/*-- SEQ 0049 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0050 --*/
ALTER TABLE TT_CFG ALTER COLUMN ALTERA_PRECO_ORC_SEPARADO SET NOT NULL;

/*-- SEQ 0051 --*/
ALTER TABLE TT_CFG ALTER COLUMN ALTERA_PRECO_ORC_SEPARADO SET DEFAULT 'T';

/*-- SEQ 0052 --*/
ALTER TABLE TW_CFG ADD ALTERA_PRECO_ORC_SEPARADO VARCHAR(1);

/*-- SEQ 0053 --*/
ALTER TABLE TW_CFG ALTER COLUMN ALTERA_PRECO_ORC_SEPARADO SET DEFAULT 'T';



/*-- SEQ 0054 --*/
ALTER TABLE TT_CTB ADD NUMINI Numeric(12);

/*-- SEQ 0055 --*/
ALTER TABLE TT_CTB ADD NUMFIM Numeric(12);


/*-- SEQ 0056 --*/
SELECT ExecAlteraTipoColuna('TT_USU','E_MAIL','VARCHAR(254)');



/*-- SEQ 0057 --*/
ALTER TABLE TD_FIL ADD RATIPI_FRETE VARCHAR(1) DEFAULT 'V';

/*-- SEQ 0058 --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_RATIPI_FRETE CHECK (RATIPI_FRETE IN ('V','P'));

/*-- SEQ 0059 --*/
ALTER TABLE TD_FIL ALTER COLUMN RATIPI_FRETE SET NOT NULL;


/*-- SEQ 0060 --*/
ALTER TABLE TT_ICO ADD IPIFRE Numeric(12,2);

/*-- SEQ 0061 --*/
ALTER TABLE TT_GRA ADD IPIFRE Numeric(12,4);

/*-- SEQ 0062 --*/
ALTER TABLE TT_PXF ADD IPIFRE Numeric(12,4);



/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION ExecAlteraTipoColuna (VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0064 --*/
CREATE OR REPLACE FUNCTION ExecAlteraTipoColuna (VARCHAR,VARCHAR,VARCHAR)
RETURNS VARCHAR AS '
DECLARE
  pTabela   ALIAS FOR $1 ;
  pCampo    ALIAS FOR $2 ;
  pNovoTipo ALIAS FOR $3 ;
  nVer8 integer;
  cComando VARCHAR(255);
   
  cur_views CURSOR (pTabela_ VARCHAR, pCampo_ VARCHAR)  FOR 
    SELECT ''drop view ''||viw.relname||'' cascade;'' AS comando
      FROM pg_attribute att inner join pg_depend dep on dep.refobjsubid = att.attnum 
                            inner join pg_rewrite rew on rew.oid=dep.objid 
                            inner join pg_class viw on viw.oid=rew.ev_class
                            inner join pg_class tab on dep.refobjid=tab.oid and att.attrelid=tab.oid
                            left  join pg_namespace scm  ON scm.oid = tab.relnamespace
         WHERE dep.refclassid=1259 
           AND att.attname=lower(pCampo_)
           AND dep.classid=''pg_rewrite''::regclass
           AND rew.rulename=''_RETURN'' 
           AND tab.relname=lower(pTabela_)
           AND scm.nspname = current_schema();
         
BEGIN  

   select instr(version(),''PostgreSQL 8'') into nVer8;
   
   if nVer8=1 then 
      Open cur_views(pTabela, pCAMPO);
      LOOP
         FETCH cur_views INTO cCOMANDO;
         EXIT WHEN NOT FOUND;
         RAISE NOTICE ''Executando %'',cCOMANDO;
         EXECUTE cCOMANDO;
      END LOOP;
      Close cur_views;
       
      EXECUTE ''ALTER TABLE ''||pTabela||'' alter column ''||pCampo||'' type ''||pNovoTipo||'';'';
   else
      EXECUTE AlteraTipoColuna ($1,$2,$3);       
   end if;
   RETURN NULL;
END;
' language 'plpgsql';


/*-- SEQ 0065 --*/
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0066 --*/
UPDATE TT_REC REC
   SET CODOUT = (SELECT MIN(OOUT.OUTROS)
                   FROM TT_OPE OREC INNER JOIN TT_OPE OOUT ON OREC.CODFIL = OOUT.CODFIL
                                                          AND OREC.NUMECF = OOUT.NUMECF
                                                          AND OREC.TRN_ID = OOUT.TRN_ID
                  WHERE OOUT.OUTROS IS NOT NULL
                    AND OREC.VLROPE = OOUT.VLROPE * -1
                    AND REC.CODFIL = OREC.FILREC
                    AND REC.SEQUEN = OREC.SEQREC
                    AND REC.NUMPAR = OREC.NUMPAR
                    AND REC.SUBPAR = OREC.SUBPAR)                    
 WHERE (REC.CODFIL,REC.SEQUEN,REC.NUMPAR,REC.SUBPAR) IN 
       (SELECT MIN(OREC.FILREC),
               MIN(OREC.SEQREC),
               MIN(OREC.NUMPAR),
               MIN(OREC.SUBPAR)
         FROM TT_OPE OREC INNER JOIN TT_OPE OOUT ON OREC.CODFIL = OOUT.CODFIL
                                                AND OREC.NUMECF = OOUT.NUMECF
                                                AND OREC.TRN_ID = OOUT.TRN_ID
        WHERE OREC.FILREC IS NOT NULL
          AND OOUT.OUTROS IS NOT NULL
          AND OREC.VLROPE = OOUT.VLROPE * -1
        GROUP BY OREC.CODFIL, OREC.NUMECF, OREC.TRN_ID
       HAVING COUNT(*) = 1)
   AND REC.CODOUT IS NULL;

/*-- SEQ 0067 --*/
SELECT ENABLETRIGGERS(LOWER('TT_REC'));


/*-- SEQ 0068 --*/
ALTER TABLE TT_VEN ADD FILCTA CHAR(3);

/*-- SEQ 0069 --*/
ALTER TABLE TT_VEN ADD SEQCTA CHAR(10);

/*-- SEQ 0070 --*/
ALTER TABLE TT_VEN ADD TIPCTA CHAR(1);

/*-- SEQ 0071 --*/
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_CTA FOREIGN KEY (FILCTA, SEQCTA, TIPCTA) REFERENCES TT_CTA (CODFIl, SEQUEN, TIPCTA);

/*-- SEQ 0072 --*/
CREATE INDEX I_FK_VEN_CTA ON TT_VEN (FILCTA, SEQCTA, TIPCTA)  ;

/*-- SEQ 0073 --*/
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0074 --*/
ALTER TABLE TT_VEN ADD TITAVU VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0075 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0076 --*/
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_TIPCTA CHECK (TIPCTA = 'G');

/*-- SEQ 0077 --*/
ALTER TABLE TT_VEN ALTER COLUMN TITAVU SET NOT NULL;

/*-- SEQ 0078 --*/
ALTER TABLE TT_VEN ADD CODAVU VARCHAR(20);

/*-- SEQ 0079 --*/
CREATE INDEX I_LC_CODAVU ON TT_VEN (CODAVU)  ;

/*-- SEQ 0080 --*/
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_CODAVU CHECK (coalesce(length(trim(translate(CODAVU, ' QWERTYUIOPLKJHGFDSAZXCVBNM1234567890-_/','X                                       '))),0) = 0);

/*-- SEQ 0081 --*/
ALTER TABLE TD_SER ADD CONSTRAINT AK_DSER_TITAVU UNIQUE (CODSER, TITAVU);

/*-- SEQ 0082 --*/
ALTER TABLE TT_VEN DROP CONSTRAINT FK_VEN_DSER_CODSER;

/*-- SEQ 0083 --*/
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0084 --*/
UPDATE TT_VEN V SET TITAVU = (SELECT TITAVU FROM TD_SER WHERE CODSER = V.CODSER);

/*-- SEQ 0085 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0086 --*/
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_DSER FOREIGN KEY (CODSER, TITAVU) REFERENCES TD_SER (CODSER, TITAVU);

/*-- SEQ 0087 --*/
ALTER TABLE TT_REC ADD FILCTA CHAR(3);

/*-- SEQ 0088 --*/
ALTER TABLE TT_REC ADD SEQCTA CHAR(10); 

/*-- SEQ 0089 --*/
ALTER TABLE TT_REC ADD TIPCTA CHAR(1); 

/*-- SEQ 0090 --*/
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_CTA FOREIGN KEY (FILCTA, SEQCTA, TIPCTA) REFERENCES TT_CTA (CODFIl, SEQUEN, TIPCTA);

/*-- SEQ 0091 --*/
CREATE INDEX I_FK_REC_CTA ON TT_REC (FILCTA, SEQCTA, TIPCTA)  ;

/*-- SEQ 0092 --*/
ALTER TABLE TT_REC ADD CONSTRAINT CK_REC_TIPCTA CHECK (TIPCTA='N');



/*-- SEQ 0093 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0094 --*/
UPDATE TT_IVE 
   SET NATFIS = '6404'||SUBSTR(NATFIS,5,2)
 WHERE NATFIS LIKE '6405%';

/*-- SEQ 0095 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_NATFIS CHECK (SUBSTR(NATFIS,1,4) <> '6405');


/*-- SEQ 0097 --*/
ALTER TABLE TT_CON ADD CODDDI VARCHAR(3);

/*-- SEQ 0098 --*/
ALTER TABLE TT_END ADD CODDDI VARCHAR(3);


/*-- SEQ 0099 --*/
SELECT ExecAlteraTipoColuna('TT_IOR','VLRITE','Numeric(14,4)');



/*-- SEQ 0100 --*/
ALTER TABLE TT_PLA DROP CONSTRAINT ck_pla_aplica;

/*-- SEQ 0101 --*/
ALTER TABLE TT_PLA ADD CONSTRAINT ck_pla_aplica CHECK (APLICA BETWEEN 0 AND 3);


/*-- SEQ 0102 --*/
ALTER TABLE TT_GRA ADD ULTBAS Numeric(5,2);


/*-- SEQ 0103 --*/
ALTER TABLE TT_REC DROP CONSTRAINT CK_REC_CHEQUE;

/*-- SEQ 0104 --*/
ALTER TABLE TT_REC ADD CONSTRAINT CK_REC_CHEQUE CHECK (((FLGEST = 'P' OR SEQCHE IS NOT NULL) AND VLRPGT IS NOT NULL) OR (FLGEST <> 'P' AND SEQCHE IS NULL));

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TempSerieTituloAvulsoPadrao () CASCADE;

/*-- SEQ 0106 --*/
CREATE OR REPLACE FUNCTION TempSerieTituloAvulsoPadrao ()
RETURNS TD_SER.CODSER%TYPE AS '
DECLARE

  vCODSER TD_SER.CODSER%TYPE;
  vRESULT TD_SER.CODSER%TYPE;
  iCount integer; 

  Series CURSOR FOR
  SELECT ''TR'' AS CODSER FROM DUAL
  UNION ALL
  SELECT ''T0'' AS CODSER FROM DUAL
  UNION ALL
  SELECT ''T1'' AS CODSER FROM DUAL
  UNION ALL
  SELECT ''T2'' AS CODSER FROM DUAL
  UNION ALL
  SELECT ''T3'' AS CODSER FROM DUAL
  UNION ALL
  SELECT ''T4'' AS CODSER FROM DUAL
  UNION ALL
  SELECT ''T5'' AS CODSER FROM DUAL
  UNION ALL
  SELECT ''T6'' AS CODSER FROM DUAL
  UNION ALL
  SELECT ''T7'' AS CODSER FROM DUAL
  UNION ALL
  SELECT ''T8'' AS CODSER FROM DUAL
  UNION ALL
  SELECT ''T9'' AS CODSER FROM DUAL;

BEGIN  

  iCount := -1;

  OPEN Series;
  LOOP
    FETCH Series INTO vCODSER;
    EXIT WHEN NOT FOUND 
           OR iCount = 0;
      vRESULT := vCODSER;
      SELECT COUNT(*) INTO iCount
        FROM TD_SER
       WHERE CODSER = vCODSER
         AND TITAVU <> ''T''
         AND DESSER <> ''TITULO AVULSO'';
  END LOOP;
  CLOSE Series; 

  IF iCount > 0 THEN
    RAISE EXCEPTION ''PG-20000 Nenhuma serie possivel foi encontrada'';   
  END IF;

  RETURN vRESULT; 
   
END;
' language 'plpgsql';



/*-- SEQ 0107 --*/
ALTER TABLE TT_TRC ADD SEQVEN CHAR(10);

/*-- SEQ 0108 --*/
SELECT DISABLETRIGGERS(LOWER('TT_TRC'));

/*-- SEQ 0109 --*/
UPDATE TT_TRC
   SET SEQVEN = ProximoCodigo('TT_VEN', CODFIL)
 WHERE SEQVEN IS NULL;

/*-- SEQ 0110 --*/
SELECT ENABLETRIGGERS(LOWER('TT_TRC'));

/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TempCriaSerie () CASCADE;

/*-- SEQ 0112 --*/
CREATE OR REPLACE FUNCTION TempCriaSerie ()
RETURNS VARCHAR AS '
DECLARE

  vCODSER TD_SER.CODSER%TYPE; 

BEGIN
  vCODSER := TempSerieTituloAvulsoPadrao();

  INSERT INTO TD_SER
  (CODTAB, SERATI, CODSER, TITAVU, DESSER, QTDITP, QTDITS, EXTNOT)
  SELECT (SELECT COALESCE(MAX(CODTAB),0)+1 FROM TD_SER),
         ''T'',
         vCODSER,
         ''T'',
         ''TITULO AVULSO'',
         99999, 
         99999, 
         99999
    FROM DUAL;

  RETURN ''OK'';
END;
' language 'plpgsql';




/*-- SEQ 0113 --*/
SELECT DISABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0114 --*/
select TempCriaSerie() from dual;


/*-- SEQ 0115 --*/
SELECT ENABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TempCriaSerie () CASCADE;

/*-- SEQ 0117 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PLA'));

/*-- SEQ 0118 --*/
INSERT INTO TT_PLA
(FILPGT, CODPGT, APLICA, CODCOB, TIPCOB, ACRDIA, DESANT, APEPGT, DESPGT, ATU_EM)
SELECT (SELECT CODLOJ FROM TT_IDF) AS FILPGT,
       (SELECT LPAD(TO_NUMBER(COALESCE(MAX(CODPGT),'0'))+1,3,' ') 
          FROM TT_PLA 
         WHERE FILPGT = (SELECT CODLOJ 
                           FROM TT_IDF)) AS CODPGT,
       3 AS APLICA,
       0 AS CODCOB,
       'P' AS TIPCOB,
       0 AS ACRDIA,
       0 AS DESANT,
       'TIT AVULSO' AS APEPGT,
       'TITULO AVULSO' AS DESPGT,
       Agora() AS ATU_EM
  FROM DUAL;

/*-- SEQ 0119 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PLA'));

/*-- SEQ 0120 --*/
CREATE SEQUENCE SQ_VEN_NUMNOT_TEMP INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0121 --*/
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0122 --*/
INSERT INTO TT_VEN
(CODFIL, FLGEST, TIPNOT, FILCLI, CODCLI, FILUSU, CODUSU, DATHOR, CODCTR, VLRLIQ, VLRNOT, SIGNAT, DESCON, OUTTAX,  
 SEQUEN,  
 FILCTA, SEQCTA, TIPCTA, 
 CODSER, TITAVU, CODAVU, 
 OBSERV, NUMNOT, FILPGT, 
 CODPGT, FILPRE, CODPRE, 
 FILVEN, CODVEN, NUMECF,
 CODNAT, LANVEN, DATFIS,
 ATU_EM)
SELECT CODFIL, FLGEST, TIPNOT, FILPAR, CODPAR, FILUSU, CODUSU, DATOPE, CODCTR, VLRLIQ, VLRTOT, SIGNAT, DESCON, OUTTAX,
       SEQVEN AS SEQUEN,
       FILCTA, SEQCTA, TIPCTA,
       TempSerieTituloAvulsoPadrao() AS CODSER,
       'T' AS TITAVU,
       LPAD(TRIM(CODSER),2,'0')||LPAD(TRIM(NUMNOT),8,'0') AS CODAVU,
       NULL AS OBSERV,
       LPAD(NEXTVAL('SQ_VEN_NUMNOT_TEMP'),6,' ') AS NUMNOT,
       (SELECT FILPGT
          FROM TT_PLA
         WHERE APEPGT = 'TIT AVULSO' LIMIT 1) AS FILPGT,
       (SELECT CODPGT
          FROM TT_PLA
         WHERE APEPGT = 'TIT AVULSO' LIMIT 1) AS CODPGT,
       (SELECT FILPRE FROM TT_CFG) AS FILPRE,
       (SELECT CODPRE FROM TT_CFG) AS CODPRE, 
       FILUSU AS FILVEN,
       CODUSU AS CODVEN,
       '000' AS NUMECF,
       (SELECT CODTAB 
          FROM TD_NAT 
         WHERE NATDEN = '510200') AS CODNAT,
       'F' AS LANVEN,
       TRUNC(DATOPE) AS DATFIS,
       Agora() AS ATU_EM
  FROM TT_TRC;

/*-- SEQ 0123 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0124 --*/
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0125 --*/
INSERT INTO TT_REC
(CODFIL, NUMPAR, SUBPAR, FLGEST, DATVEN, VLRPAR, FILUSU, CODUSU, FLGFLU, DATPRE, VLRPRE,
 SEQUEN, 
 FILREC, NUMECF,
 FILCTA, SEQCTA, TIPCTA,
 PORTAD, CODMOE, ATU_EM,
 DATINC, DATFIS, SIGNAT, 
 PAGAME, VLRPGT, VLRDES)
SELECT PTR.CODFIL, PTR.NUMPAR, PTR.SUBPAR, PTR.FLGEST, PTR.DATVEN, PTR.VLRPAR, PTR.FILUSU, PTR.CODUSU, PTR.FLGFLU, PTR.DATPRE, PTR.VLRPRE, 
       TRC.SEQVEN AS SEQUEN,
       PTR.CODFIL AS FILREC, 
       '000' AS NUMECF,
       CASE WHEN PTR.FLGEST = 'A' 
            THEN TRC.FILPAG
            ELSE PTR.FILCTA
       END AS FILCTA,
       CASE WHEN PTR.FLGEST = 'A' 
            THEN TRC.SEQPAG
            ELSE PTR.SEQCTA
       END AS SEQCTA,
       CASE WHEN PTR.FLGEST = 'A' 
            THEN TRC.TIPPAG
            ELSE PTR.TIPCTA
       END AS TIPCTA,
       0 AS PORTAD,
       0 AS CODMOE,
       Agora() AS ATU_EM,
       Agora() AS DATINC,
       TRUNC(PTR.DATPGT) AS DATFIS, 
       CASE WHEN PTR.SIGNAT IS NULL THEN 0 ELSE PTR.SIGNAT END AS SIGNAT, 
       CASE WHEN PTR.FLGEST = 'A' THEN NULL ELSE PTR.DATPGT END AS DATPGT, 
       CASE WHEN PTR.FLGEST = 'A' THEN NULL ELSE PTR.VLRPGT END AS VLRPGT,
       CASE WHEN PTR.FLGEST = 'P' THEN COALESCE(PTR.VLRPGT,0) + COALESCE(PTR.VLRDIF,0) - PTR.VLRPAR 
            WHEN PTR.FLGEST = 'C' THEN SUB.VLRPAR - PTR.VLRPAR 
            ELSE 0
       END
  FROM TT_PTR PTR INNER JOIN TT_TRC TRC ON PTR.CODFIL = TRC.CODFIL
                                       AND PTR.SEQUEN = TRC.SEQUEN
                  LEFT  JOIN TT_PTR SUB ON SUB.CODFIL = PTR.CODFIL
                                       AND SUB.SEQUEN = PTR.SEQUEN
                                       AND SUB.NUMPAR = PTR.NUMPAR
                                       AND SUB.SUBPAR = LPAD(TRIM(TO_CHAR(TO_NUMBER(PTR.SUBPAR)+1,'99')),2,' ');

/*-- SEQ 0126 --*/
SELECT ENABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0127 --*/
ALTER TABLE TT_COD DROP CONSTRAINT PK_COD;

/*-- SEQ 0128 --*/
ALTER TABLE TT_COD ADD SEQUEN CHAR(10);

/*-- SEQ 0129 --*/
ALTER TABLE TT_COD ADD CODSER CHAR(2);

/*-- SEQ 0130 --*/
ALTER TABLE TT_COD ADD CONSTRAINT FK_COD_DSER FOREIGN KEY (CODSER) REFERENCES TD_SER (CODSER);

/*-- SEQ 0131 --*/
CREATE INDEX I_FK_COD_DSER ON TT_COD (CODSER)  ;

/*-- SEQ 0132 --*/
CREATE SEQUENCE sqCOD INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0133 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COD'));

/*-- SEQ 0134 --*/
UPDATE TT_COD
   SET SEQUEN = LPAD(RTRIM(NEXTVAL('sqCOD')),10,' ');

/*-- SEQ 0135 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COD'));

/*-- SEQ 0136 --*/
CREATE UNIQUE INDEX I_UQ_COD_CHAVE ON TT_COD (CODTAB, FILCOD, CODSER)  ;

/*-- SEQ 0137 --*/
ALTER TABLE TT_COD ADD CONSTRAINT PK_COD PRIMARY KEY (SEQUEN)   ;

/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION ProximoCodigo (VARCHAR,TD_FIL.CODFIL%TYPE) CASCADE;

/*-- SEQ 0139 --*/
CREATE OR REPLACE FUNCTION ProximoCodigo (VARCHAR,TD_FIL.CODFIL%TYPE)
RETURNS VARCHAR AS '
DECLARE
Tabela ALIAS FOR $1 ;
Filial ALIAS FOR $2 ;
-- Objetivo
-- 1) Obter o proximo valor sequencial de uma tabela
--
  loja         TT_IDF.CODLOJ%TYPE;
  UnicoServer  TT_CFG.SRVUNI%TYPE;
  proximo      Numeric;
  Excecao      Boolean;

-- Principal
begin
   IF Tabela IN (''TT_DIV'',''TT_SUB'',''TT_DOW'') THEN
     Excecao := True;
   else
     Excecao := False;

     -- Verifica se ha apenas um servidor para o cliente
     SELECT SRVUNI INTO UnicoServer FROM TT_CFG;

     -- Verifica se a filial e a mesma do servidor
     SELECT CODLOJ INTO loja
     FROM (SELECT 0 AS dummy1 FROM dual) d1 
          LEFT OUTER JOIN (SELECT 0 AS dummy2,CODLOJ FROM TT_IDF WHERE CODLOJ = Filial) d2 
          ON d1.dummy1 = d2.dummy2;
   END IF;

   -- Obtem o proximo codigo
   IF (Excecao OR (loja IS NOT NULL) OR (UnicoServer = ''T'')) THEN
     IF    Tabela = ''TT_BON'' THEN SELECT NEXTVAL(''sqBON'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AUT'' THEN SELECT NEXTVAL(''sqAUT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AVI'' THEN SELECT NEXTVAL(''sqAVI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TR_CAI'' THEN SELECT NEXTVAL(''sqRCAI'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CAR'' THEN SELECT NEXTVAL(''sqCAR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CPM'' THEN SELECT NEXTVAL(''sqCPM'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CTA'' THEN SELECT NEXTVAL(''sqCTA'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CCC'' THEN SELECT NEXTVAL(''sqCCC'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CHR'' THEN SELECT NEXTVAL(''sqCHR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CMT'' THEN SELECT NEXTVAL(''sqCMT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_COM'' THEN SELECT NEXTVAL(''sqCOM'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_COS'' THEN SELECT NEXTVAL(''sqCOS'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CRE'' THEN SELECT NEXTVAL(''sqCRE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CTT'' THEN SELECT NEXTVAL(''sqCTT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CXG'' THEN SELECT NEXTVAL(''sqCXG'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DIV'' THEN SELECT NEXTVAL(''sqDIV'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DOP'' THEN SELECT NEXTVAL(''sqDOP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DOE'' THEN SELECT NEXTVAL(''sqDOE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DOW'' THEN SELECT NEXTVAL(''sqDOW'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DRU'' THEN SELECT NEXTVAL(''sqDRU'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DXG'' THEN SELECT NEXTVAL(''sqDXG'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DXC'' THEN SELECT NEXTVAL(''sqDXC'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_SUB'' THEN SELECT NEXTVAL(''sqSUB'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ETI'' THEN SELECT NEXTVAL(''sqETI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ECT'' THEN SELECT NEXTVAL(''sqECT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_FIN'' THEN SELECT NEXTVAL(''sqFIN'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_GRA'' THEN SELECT NEXTVAL(''sqGRA'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_HOR'' THEN SELECT NEXTVAL(''sqHOR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_INV'' THEN SELECT NEXTVAL(''sqINV'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_IPE'' THEN SELECT NEXTVAL(''sqIPE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_IVO'' THEN SELECT NEXTVAL(''sqIVO'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_KIT'' THEN SELECT NEXTVAL(''sqKIT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_LAN'' THEN SELECT NEXTVAL(''sqLAN'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_LCF'' THEN SELECT NEXTVAL(''sqLCF'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_PRE'' THEN SELECT NEXTVAL(''sqPRE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_PAP'' THEN SELECT NEXTVAL(''sqPAP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_RDP'' THEN SELECT NEXTVAL(''sqRDP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_REF'' THEN SELECT NEXTVAL(''sqREF'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_REG'' THEN SELECT NEXTVAL(''sqREG'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_RCP'' THEN SELECT NEXTVAL(''sqRCP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_RZR'' THEN SELECT NEXTVAL(''sqRZR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_REN'' THEN SELECT NEXTVAL(''sqREN'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_SAL'' THEN SELECT NEXTVAL(''sqSAL'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_SUP'' THEN SELECT NEXTVAL(''sqSUP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_SQL'' THEN SELECT NEXTVAL(''sqSQL'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_SIM'' THEN SELECT NEXTVAL(''sqSIM'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_VEN'' THEN SELECT NEXTVAL(''sqVEN'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TAR'' THEN SELECT NEXTVAL(''sqTAR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TRC'' THEN SELECT NEXTVAL(''sqTRC'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_WOR'' THEN SELECT NEXTVAL(''sqWOR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_PRJ'' THEN SELECT NEXTVAL(''sqPRJ'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_MAI'' THEN SELECT NEXTVAL(''sqMAI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_MAR'' THEN SELECT NEXTVAL(''sqMAR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_VPE'' THEN SELECT NEXTVAL(''sqVPE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TM_GRA'' THEN SELECT NEXTVAL(''sqMGRA'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TM_CLI'' THEN SELECT NEXTVAL(''sqMCLI'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TR_MOV'' THEN SELECT NEXTVAL(''sqRMOV'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TW_PRE'' THEN SELECT NEXTVAL(''sqWPRE'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TW_SAC'' THEN SELECT NEXTVAL(''sqWSAC'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_HND'' THEN SELECT NEXTVAL(''sqHND'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TIT'' THEN SELECT NEXTVAL(''sqTIT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_IXT'' THEN SELECT NEXTVAL(''sqIXT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_PIV'' THEN SELECT NEXTVAL(''sqPIV'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_RES'' THEN SELECT NEXTVAL(''sqRES'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ANX'' THEN SELECT NEXTVAL(''sqANX'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AGE'' THEN SELECT NEXTVAL(''sqAGE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AUS'' THEN SELECT NEXTVAL(''sqAUS'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_EXP'' THEN SELECT NEXTVAL(''sqEXP'')  INTO proximo FROM DUAL;     
     ELSIF Tabela = ''TT_FER'' THEN SELECT NEXTVAL(''sqFER'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ENV'' THEN SELECT NEXTVAL(''sqENV'')  INTO proximo FROM DUAL;      
     ELSIF Tabela = ''TT_IEN'' THEN SELECT NEXTVAL(''sqIEN'')  INTO proximo FROM DUAL;      
     ELSIF Tabela = ''TT_PHO'' THEN SELECT NEXTVAL(''sqPHO'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ROM'' THEN SELECT NEXTVAL(''sqROM'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_MON'' THEN SELECT NEXTVAL(''sqMON'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_COR'' THEN SELECT NEXTVAL(''sqCOR'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_COB'' THEN SELECT NEXTVAL(''sqCOB'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_DEV'' THEN SELECT NEXTVAL(''sqDEV'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_RAT'' THEN SELECT NEXTVAL(''sqRAT'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_BAI'' THEN SELECT NEXTVAL(''sqBAI'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TD_CRT'' THEN SELECT NEXTVAL(''sqDCRT'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TD_DET'' THEN SELECT NEXTVAL(''sqDDET'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TD_LCR'' THEN SELECT NEXTVAL(''sqDLCR'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TT_MUN'' THEN SELECT NEXTVAL(''sqMUN'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AFE'' THEN SELECT NEXTVAL(''sqAFE'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_FCP'' THEN SELECT NEXTVAL(''sqFCP'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TT_LMC'' THEN SELECT NEXTVAL(''sqLMC'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TT_PXR'' THEN SELECT NEXTVAL(''sqPXR'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TT_AGEXUSU'' THEN SELECT NEXTVAL(''sqAGEXUSU'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_COM_CANCELAMENTO'' THEN SELECT NEXTVAL(''sqCOM'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CHR_CANCELAMENTO'' THEN SELECT NEXTVAL(''sqCHR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TRC_CANCELAMENTO'' THEN SELECT NEXTVAL(''sqTRC'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_IRO_CANCELAMENTO'' THEN SELECT NEXTVAL(''sqIRO'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DESXCLI'' THEN SELECT NEXTVAL(''sqDESXCLI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_BONXCLI'' THEN SELECT NEXTVAL(''sqBONXCLI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ENP'' THEN SELECT NEXTVAL(''sqENP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CAI'' THEN SELECT NEXTVAL(''sqCAI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_EXT'' THEN SELECT NEXTVAL(''sqEXT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_LEX'' THEN SELECT NEXTVAL(''sqLEX'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DEP'' THEN SELECT NEXTVAL(''sqDEP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_PREXDIF'' THEN SELECT NEXTVAL(''sqPREXDIF'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TW_FLU'' THEN SELECT NEXTVAL(''sqWFLU'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ABM'' THEN SELECT NEXTVAL(''sqABM'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_BICXECF'' THEN SELECT NEXTVAL(''sqBICXECF'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CLA'' THEN SELECT NEXTVAL(''sqCLA'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_RCT'' THEN SELECT NEXTVAL(''sqRCT'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DOU'' THEN SELECT NEXTVAL(''sqDOU'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DESXICO'' THEN SELECT NEXTVAL(''sqDESXICO'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TEC'' THEN SELECT NEXTVAL(''sqTEC'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_FLW'' THEN SELECT NEXTVAL(''sqFLW'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AVA'' THEN SELECT NEXTVAL(''sqAVA'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TEQ'' THEN SELECT NEXTVAL(''sqTEQ'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_EQP'' THEN SELECT NEXTVAL(''sqEQP'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TEF'' THEN SELECT NEXTVAL(''SQTEF'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_FILXPLA'' THEN SELECT NEXTVAL(''SQFILXPLA'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TCP'' THEN SELECT NEXTVAL(''SQTCP'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_UID'' THEN SELECT NEXTVAL(''SQUID'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TW_EXT'' THEN SELECT NEXTVAL(''sqWEXT'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_OPE'' THEN SELECT NEXTVAL(''SQ_TRN_ID_EST'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DIS'' THEN SELECT NEXTVAL(''SQDIS'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TL_FIN'' THEN SELECT NEXTVAL(''SQLFIN'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_IVEXIPE'' THEN SELECT NEXTVAL(''SQIVEXIPE'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_HRE'' THEN SELECT NEXTVAL(''SQHRE'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CBP'' THEN SELECT NEXTVAL(''SQCBP'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_PLAXCAR'' THEN SELECT NEXTVAL(''SQPLAXCAR'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TL_CTF'' THEN SELECT NEXTVAL(''SQLCTF'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_COD'' THEN SELECT NEXTVAL(''sqCOD'') INTO proximo FROM DUAL;
     END IF;
     IF proximo IS NOT NULL THEN
       -- Tratamento especial
       IF Tabela IN (''TT_DIV'',''TT_SUB'',''TT_DOW'') THEN
         Return LPAD(RTRIM(proximo),5,'' '');
       ELSIF Tabela IN (''TT_OPE'') THEN
         Return proximo;
       ELSE
         Return LPAD(RTRIM(proximo),10,'' '');
       END IF;
     END IF;
   END IF;
END;
' language 'plpgsql';



/*-- SEQ 0140 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COD'));

/*-- SEQ 0141 --*/
INSERT INTO TT_COD
(SEQUEN, CODTAB, FILCOD, ULTCOD, CODSER)
SELECT ProximoCodigo('TT_COD', CODFIL) AS SEQUEN,
       'VEN' AS CODTAB,
       MAX(CODFIL) AS FILCOD,       
       TO_NUMBER(MAX(NUMNOT)) AS ULTCOD,
       MAX(CODSER) AS CODSER
  FROM TT_VEN
 WHERE CODSER = TempSerieTituloAvulsoPadrao()
 GROUP BY CODFIL, CODSER;

/*-- SEQ 0142 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COD'));

/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
DROP SEQUENCE SQ_VEN_NUMNOT_TEMP;

/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TGCOD() CASCADE;

/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TempSerieTituloAvulsoPadrao () CASCADE;


/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_VEN_FIS ADD FUNRUR Numeric(12,2);


/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD TAXCRE_PREATEND Numeric(12,2);

/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD DIACRE_PREATEND Numeric(3);

/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD TAXDEB_PREATEND Numeric(12,2);

/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD DIADEB_PREATEND Numeric(3);


/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_AMP ON TD_AMP (DIVAMP)  ;

/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_COB ON TD_COB (FILCTA,SEQCTA,TIPCTA,TIPCOB)  ;

/*-- SEQ 0153 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_COB ON TD_COB (COBPAD)  ;

/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_CTR ON TD_CTR (CTRFIL,CTRSEQ,CTRTIP,CTRUSO)  ;

/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_CTR ON TD_CTR (FILPRA,SEQPRA,TIPPRA)  ;

/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_DEV ON TD_DEV (MULDEV)  ;

/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_FIL ON TD_FIL (FILCPM,SEQCPM,TIPCPM)  ;

/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_FIL ON TD_FIL (TESFIL,TESSEQ,TESTIP)  ;

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_FIL ON TD_FIL (FILOUT,SEQOUT,TIPOUT)  ;

/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_FIL ON TD_FIL (CTR_CC)  ;

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_FIL ON TD_FIL (TIPEND)  ;

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_FIL ON TD_FIL (SERPAD)  ;

/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_FIL ON TD_FIL (FILJUR,SEQJUR,TIPJUR)  ;

/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_FIL ON TD_FIL (FILLAN,SEQLAN,TIPLAN)  ;

/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_FIL ON TD_FIL (FILTAR,SEQTAR,TIPTAR)  ;

/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_LAN ON TD_LAN (FILLAN)  ;

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_LAN ON TD_LAN (LANNAT)  ;

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_MOD ON TD_MOD (FILSAC,CODSAC)  ;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_MOD ON TD_MOD (FILTST,CODTST)  ;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_MOD ON TD_MOD (FILINT,CODINT)  ;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_MOD ON TD_MOD (FILWOR,CODWOR)  ;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_NAT ON TD_NAT (NATFUD)  ;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_NAT ON TD_NAT (NATFUF)  ;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_NAT ON TD_NAT (NATRED)  ;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_NAT ON TD_NAT (NATREF)  ;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_PGF ON TD_PGF (CODBCO)  ;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_REL ON TD_REL (PRIMAX)  ;

/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_REL ON TD_REL (PRIMIN)  ;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_SUB ON TD_SUB (CODTAB,CODSAL)  ;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TD_TER ON TD_TER (TERCTR)  ;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TI_ITF ON TI_ITF (FILTEF,SEQTEF,NUMITE)  ;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_CCC ON TL_CCC (CODUID)  ;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_CHR ON TL_CHR (CODUID)  ;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_CLI ON TL_CLI (CODUID)  ;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_COM ON TL_COM (FILUSU,CODUSU)  ;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_CRT ON TL_CRT (CODUID)  ;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_CTF ON TL_CTF (FILUSU,CODUSU)  ;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_CTT ON TL_CTT (CODUID)  ;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_DOP ON TL_DOP (CODUID)  ;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_ECF ON TL_ECF (CODUID)  ;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_ECF ON TL_ECF (FILUSU,CODUSU)  ;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_EQP ON TL_EQP (CODUID)  ;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_GRA ON TL_GRA (CODUID)  ;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_IRO ON TL_IRO (CODUID)  ;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_LCF ON TL_LCF (CODUID)  ;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_MON ON TL_MON (CODUID)  ;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_ORC ON TL_ORC (CODUID)  ;

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_PRE ON TL_PRE (CODUID)  ;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_PRJ ON TL_PRJ (CODUID)  ;

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_PRO ON TL_PRO (CODUID)  ;

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_RAT ON TL_RAT (CODUID)  ;

/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_RCP ON TL_RCP (CODUID)  ;

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_REG ON TL_REG (CODUID)  ;

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_SUP ON TL_SUP (CODUID)  ;

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_TEF ON TL_TEF (CODUID)  ;

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_VEN ON TL_VEN (CODUID)  ;

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TL_WOR ON TL_WOR (CODUID)  ;

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TR_CAI ON TR_CAI (CODFIL,NUMECF,DATOPE,CNT_RO)  ;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TR_CTA ON TR_CTA (FILLAN)  ;

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TR_ECF ON TR_ECF (CODSER)  ;

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TR_MOV ON TR_MOV (FILFRE,SEQFRE,NUMFRE)  ;

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TR_MOV ON TR_MOV (FILICO,SEQICO,NUMICO)  ;

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_ABM ON TT_ABM (CODBIC)  ;

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_ABM ON TT_ABM (FILUSU,CODUSU)  ;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_AFE ON TT_AFE (CODBIC)  ;

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_AUS ON TT_AUS (FILAUS)  ;

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_AUT ON TT_AUT (CODFIL,TIPPED,NUMPED)  ;

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_BAI ON TT_BAI (CODMUN)  ;

/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_BICXECF ON TT_BICXECF (CODECF)  ;

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CBP ON TT_CBP (FILCLI,CODCLI)  ;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CBP ON TT_CBP (FILCLI,CODCLI,FILEND,NUMEND)  ;

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CCC ON TT_CCC (CODFIL,NUMECF)  ;

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (CFOPPERDAS)  ;

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (CL4WEB)  ;

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (VC_FILCLI,VC_CODCLI)  ;

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FIL_DIMED,COD_DIMED)  ;

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FIL_DIMPER,COD_DIMPER)  ;

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FIL_ESPECIAL,COD_ESPECIAL)  ;

/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FIL_GENESIO,COD_GENESIO)  ;

/*-- SEQ 0230 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FIL_PANARELLO,COD_PANARELLO)  ;

/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FIL_PROFARMA,COD_PROFARMA)  ;

/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FIL_SANTACRUZ,COD_SANTACRUZ)  ;

/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (CC_CREDFORNECEDOR)  ;

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (PAPHOAMPLIA)  ;

/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (TIPCCC_RAT)  ;

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (TIPCCC_PMI)  ;

/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (CC_CARTAFRETE)  ;

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (TRANSFER_CODCFO)  ;

/*-- SEQ 0239 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (PORTKE)  ;

/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (CONTATO_FINANCEIRO)  ;

/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (COB_MOD_CODCOR1)  ;

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (COB_MOD_CODCOR2)  ;

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (SAC_TIPSUP)  ;

/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (DOPCCC)  ;

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (COD_ECB_TIT)  ;

/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (CC_DEVOLUCAO)  ;

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (CODEXP_COLETOR)  ;

/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FILCMP)  ;

/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (SAC_CODFUN)  ;

/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (PADIVAMPLIACAO)  ;

/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (PAPHOTIPLAN)  ;

/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (NAT_FAT_CC)  ;

/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (NATFAT)  ;

/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (NATVEN)  ;

/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (TRANSFER_NAT)  ;

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (MEIO_TAXASERVICO)  ;

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (MEIO_ABATIMENTO)  ;

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (SAC_CODPRI)  ;

/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (INT_ALT_DAT)  ;

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (INT_ALT_VLR)  ;

/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (INT_CAN_TIT)  ;

/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (INT_INC_TIT)  ;

/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (INT_CAN_DES)  ;

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (INT_CON_DES)  ;

/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (INT_PRT_TIT)  ;

/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (INT_S_B_PRT)  ;

/*-- SEQ 0267 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (INT_S_C_PRT)  ;

/*-- SEQ 0268 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (INT_PAG_CAR)  ;

/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (VC_SERIE)  ;

/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (TAMANHO_OBSERVACAO)  ;

/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (TRANSFER_SER)  ;

/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (SAC_FLGSIT)  ;

/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (CHEQUE,CHESTD,USOSTD)  ;

/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FILCTA_TRN,SEQCTA_TRN,TIPCTA_TRN)  ;

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (NAT_CREICM)  ;

/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (PAPHOOBSPADRAO)  ;

/*-- SEQ 0277 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (PAESTOQUEVENDA)  ;

/*-- SEQ 0278 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FIL_PAPEL_TODOS,SEQ_PAPEL_TODOS)  ;

/*-- SEQ 0279 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (VC_FILPGT,VC_CODPGT)  ;

/*-- SEQ 0280 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FILPRJ_PXD,SEQPRJ_PXD)  ;

/*-- SEQ 0281 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (PAPHOFILAMPLIA,PAPHOCODAMPLIA)  ;

/*-- SEQ 0282 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (PAPHOFILREVAMP,PAPHOCODREVAMP)  ;

/*-- SEQ 0283 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (PAPHOFILREVELA,PAPHOCODREVELA)  ;

/*-- SEQ 0284 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FILSRV,CODSRV,TIPSRV)  ;

/*-- SEQ 0285 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (CODNAT_REIMP_CF,MOVEST_REIMP_CF,FINANC_REIMP_CF,TRIBUT_REIMP_CF,LANVEN_REIMP_CF)  ;

/*-- SEQ 0286 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (SERIE_FAT_CC)  ;

/*-- SEQ 0287 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (FILPRE,CODPRE)  ;

/*-- SEQ 0288 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (PDA_FILPRE,PDA_CODPRE)  ;

/*-- SEQ 0289 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (ULTSAC_FILUSU,ULTSAC_CODUSU)  ;

/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (COB_FIL_GERENTE,COB_COD_GERENTE)  ;

/*-- SEQ 0291 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CFG ON TT_CFG (CC_WORKFLOW)  ;

/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CLI ON TT_CLI (FILCLI,CODCLI,CONBOL)  ;

/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CLI ON TT_CLI (CENCUS)  ;

/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CLI ON TT_CLI (CODCUS)  ;

/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CLI ON TT_CLI (FILGUI,CODGUI)  ;

/*-- SEQ 0296 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CLIXFIL ON TT_CLIXFIL (CODFIL)  ;

/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CPM ON TT_CPM (FILPRO)  ;

/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CRE ON TT_CRE (COLUNA,TIPDAD)  ;

/*-- SEQ 0299 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CTA ON TT_CTA (FILVIN,SEQVIN,TIPVIN)  ;

/*-- SEQ 0300 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CTAXDCTR ON TT_CTAXDCTR (CODCTR)  ;

/*-- SEQ 0301 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_CTAXFIL ON TT_CTAXFIL (CODFIL)  ;

/*-- SEQ 0302 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DES ON TT_DES (CODTAN)  ;

/*-- SEQ 0303 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DESXCLI ON TT_DESXCLI (CLASS1)  ;

/*-- SEQ 0304 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DESXCLI ON TT_DESXCLI (CLASS2)  ;

/*-- SEQ 0305 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DESXCLI ON TT_DESXCLI (CLASS3)  ;

/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DESXCLI ON TT_DESXCLI (CLASS4)  ;

/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DESXCLI ON TT_DESXCLI (FILVEN)  ;

/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DESXCLI ON TT_DESXCLI (FILPGT,CODPGT)  ;

/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DESXDCCC ON TT_DESXDCCC (CODCCC)  ;

/*-- SEQ 0310 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DESXICO ON TT_DESXICO (TIPDES)  ;

/*-- SEQ 0311 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DIS ON TT_DIS (FILFOR,CODFOR)  ;

/*-- SEQ 0312 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DIS ON TT_DIS (FILFOR,CODFOR,FILEND,NUMEND)  ;

/*-- SEQ 0313 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DIS ON TT_DIS (FILUSU,CODUSU)  ;

/*-- SEQ 0314 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DOP ON TT_DOP (FILCBP,SEQCBP)  ;

/*-- SEQ 0315 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DOP ON TT_DOP (FILCLI,CODCLI)  ;

/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DOP ON TT_DOP (PORORI)  ;

/*-- SEQ 0317 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_DOW ON TT_DOW (CODFIL)  ;

/*-- SEQ 0318 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_ECF ON TT_ECF (CODSER)  ;

/*-- SEQ 0319 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_EDI ON TT_EDI (FILEST)  ;

/*-- SEQ 0320 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_EDI ON TT_EDI (FILMAT,CODMAT,CODCOR,CODTAM)  ;

/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_END ON TT_END (SIGEST)  ;

/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_ENP ON TT_ENP (FILCLI,CODCLI,FILEND,NUMEND)  ;

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_EQP ON TT_EQP (FILMAR,CODMAR,ITEMAR)  ;

/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_FCP ON TT_FCP (CODBIC)  ;

/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_FILXPLA ON TT_FILXPLA (FILPGT,CODPGT)  ;

/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_FIN ON TT_FIN (FILREC)  ;

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_FIN ON TT_FIN (CODMOE)  ;

/*-- SEQ 0328 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_FLW ON TT_FLW (SITDES)  ;

/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_FLW ON TT_FLW (SITORI)  ;

/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_GRA ON TT_GRA (FILCOM)  ;

/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_HRE ON TT_HRE (FILCLI,CODCLI,FILEND,NUMEND)  ;

/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_ICT ON TT_ICT (FILMAT,CODMAT,CODCOR,CODTAM)  ;

/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IDF ON TT_IDF (CODDEP)  ;

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IDF ON TT_IDF (CODLOJ)  ;

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IDF ON TT_IDF (CODCID)  ;

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IDI ON TT_IDI (FILDES)  ;

/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IDI ON TT_IDI (FILORI)  ;

/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IDI ON TT_IDI (FILMAT,CODMAT,CODCOR,CODTAM)  ;

/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IDI ON TT_IDI (FILPED,NUMPED,ITEPED)  ;

/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IDI ON TT_IDI (FILUSU,CODUSU)  ;

/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IPE ON TT_IPE (FILORI,PEDORI,ITEORI)  ;

/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IPREXDIF ON TT_IPREXDIF (FILAPL)  ;

/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_ITF ON TT_ITF (FILUSU,CODUSU)  ;

/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IUF ON TT_IUF (CODCFP)  ;

/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IVE ON TT_IVE (SITTRI)  ;

/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IVEXIPE ON TT_IVEXIPE (FILMAT,CODMAT,CODCOR,CODTAM)  ;

/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_IVO ON TT_IVO (FILIPE,NUMIPE,ITEIPE)  ;

/*-- SEQ 0348 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_LAN ON TT_LAN (FILDES,CODDES)  ;

/*-- SEQ 0349 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_LAN ON TT_LAN (FILORI,CODORI)  ;

/*-- SEQ 0350 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_LEX ON TT_LEX (FILIEX,SEQIEX,NUMIEX)  ;

/*-- SEQ 0351 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_LID ON TT_LID (FILORI,ECFORI,ID_ORI)  ;

/*-- SEQ 0352 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_MAR ON TT_MAR (FILMAR,CODMAR,TIPMAR)  ;

/*-- SEQ 0353 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_MSG ON TT_MSG (FILCLI,CODCLI,NUMCON)  ;

/*-- SEQ 0354 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_ORC ON TT_ORC (CODSER)  ;

/*-- SEQ 0355 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_ORC ON TT_ORC (FILGUI,CODGUI)  ;

/*-- SEQ 0356 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PED ON TT_PED (FILFOR,CODFOR,FILEND,NUMEND)  ;

/*-- SEQ 0357 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PHO ON TT_PHO (CODEXP)  ;

/*-- SEQ 0358 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PIV ON TT_PIV (CODCL2)  ;

/*-- SEQ 0359 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PIV ON TT_PIV (CODCL3)  ;

/*-- SEQ 0360 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PIV ON TT_PIV (CODCL4)  ;

/*-- SEQ 0361 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PLAXCAR ON TT_PLAXCAR (CARTAO)  ;

/*-- SEQ 0362 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PLAXCAR ON TT_PLAXCAR (FILPGT,CODPGT)  ;

/*-- SEQ 0363 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PRE ON TT_PRE (CODMOE)  ;

/*-- SEQ 0364 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PRJXPRJ ON TT_PRJXPRJ (FILPRJ,SEQPRJ)  ;

/*-- SEQ 0365 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PRJXUSU ON TT_PRJXUSU (FILUSU,CODUSU)  ;

/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PRO ON TT_PRO (CODCDS)  ;

/*-- SEQ 0367 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_PRO ON TT_PRO (FILMAR,CODMAR,TIPMAR)  ;

/*-- SEQ 0368 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_RAT ON TT_RAT (FILCLI,CODCLI,NUMCON)  ;

/*-- SEQ 0369 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_REC ON TT_REC (CODOUT)  ;

/*-- SEQ 0370 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_SIM ON TT_SIM (FILMAT,CODMAT,CODCOR,CODTAM)  ;

/*-- SEQ 0371 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_SQL ON TT_SQL (CODORI)  ;

/*-- SEQ 0372 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_TCP ON TT_TCP (CARTAO)  ;

/*-- SEQ 0373 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_TEC ON TT_TEC (CODTER)  ;

/*-- SEQ 0374 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_TIT ON TT_TIT (FILREC,SEQREC,PARREC,SUBREC)  ;

/*-- SEQ 0375 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_TRC ON TT_TRC (FILPAG,SEQPAG,TIPPAG)  ;

/*-- SEQ 0376 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_USU ON TT_USU (FILINI,CODINI)  ;

/*-- SEQ 0377 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_VEN ON TT_VEN (CODSER,TITAVU)  ;

/*-- SEQ 0378 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_WOR ON TT_WOR (RELWOR)  ;

/*-- SEQ 0379 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TT_WORXWOR ON TT_WORXWOR (FILWOR,SEQWOR)  ;

/*-- SEQ 0380 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TW_CFG ON TW_CFG (CFOPPERDAS)  ;

/*-- SEQ 0381 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TW_CFG ON TW_CFG (COB_MOD_CODCOR1)  ;

/*-- SEQ 0382 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TW_CFG ON TW_CFG (COB_MOD_CODCOR2)  ;

/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TW_CFG ON TW_CFG (MEIO_ABATIMENTO)  ;

/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TW_CFG ON TW_CFG (TAMANHO_OBSERVACAO)  ;

/*-- SEQ 0385 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TW_CFG ON TW_CFG (PAESTOQUEVENDA)  ;

/*-- SEQ 0386 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TW_CFG ON TW_CFG (FILSRV,CODSRV,TIPSRV)  ;

/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TW_CFG ON TW_CFG (PDA_FILPRE,PDA_CODPRE)  ;

/*-- SEQ 0388 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TW_ECF ON TW_ECF (CODFIL,NUMECF)  ;

/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TW_ECF ON TW_ECF (CODFIL)  ;


/*-- SEQ 0390 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL1'));

/*-- SEQ 0391 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL1 ADD CL1WEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0392 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL1'));

/*-- SEQ 0393 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL1 ADD Constraint CK_DCL1_CL1WEB CHECK(CL1WEB IN ('T','F'));

/*-- SEQ 0394 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL1 ALTER COLUMN CL1WEB SET NOT NULL;

/*-- SEQ 0395 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL2'));

/*-- SEQ 0396 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL2 ADD CL2WEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0397 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL2'));

/*-- SEQ 0398 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL2 ADD Constraint CK_DCL2_CL2WEB CHECK (CL2WEB IN ('T','F'));

/*-- SEQ 0399 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL2 ALTER COLUMN CL2WEB SET NOT NULL;

/*-- SEQ 0400 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL3'));

/*-- SEQ 0401 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL3 ADD CL3WEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0402 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL3'));

/*-- SEQ 0403 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL3 ADD Constraint CK_DCL3_CL3WEB CHECK (CL3WEB IN ('T','F'));

/*-- SEQ 0404 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL3 ALTER COLUMN CL3WEB SET NOT NULL;

/*-- SEQ 0405 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL4'));

/*-- SEQ 0406 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL4 ADD CL4WEB VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0407 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL4'));

/*-- SEQ 0408 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL4 ADD Constraint CK_DCL4_CL4WEB CHECK(CL4WEB IN ('T','F'));

/*-- SEQ 0409 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL4 ALTER COLUMN CL4WEB SET NOT NULL;

/*-- SEQ 0410 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DEP ADD DEPWEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0411 --*/
SELECT DISABLETRIGGERS(LOWER('TD_DEP'));

/*-- SEQ 0412 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DEP ADD Constraint CK_DDEP_DEPWEB CHECK (DEPWEB IN ('T','F'));

/*-- SEQ 0413 --*/
SELECT ENABLETRIGGERS(LOWER('TD_DEP'));

/*-- SEQ 0414 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DEP ALTER COLUMN DEPWEB SET NOT NULL;


/*-- SEQ 0415 --*/
INSERT INTO TL_FIN 
(ORIGEM, FILORI, SEQORI, PARORI, SUBORI, DATINC) 
SELECT CAST('PTR' AS CHAR(3)),
       CODFIL, SEQUEN, NUMPAR, SUBPAR, 
       Agora()
  FROM TT_PTR;

/*-- SEQ 0416 --*/
INSERT INTO TL_FIN 
(ORIGEM, FILORI, SEQORI, PARORI, SUBORI, DATINC) 
SELECT CAST('REC' AS CHAR(3)),
       REC.CODFIL, REC.SEQUEN, REC.NUMPAR, REC.SUBPAR, 
       Agora()
  FROM TT_REC REC INNER JOIN TT_VEN VEN ON VEN.CODFIL = REC.CODFIL AND VEN.SEQUEN = REC.SEQUEN
 WHERE VEN.TITAVU = 'T';


/*-- SEQ 0417 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CAM
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0418 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CFP
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0419 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CHR
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0420 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CLI
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0421 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_COM
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0422 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_DES
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0423 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_DOP
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0424 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_ICO
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0425 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_IOF
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0426 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_IVE
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0427 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_LAN
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0428 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_LIM
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0429 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_NAT
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0430 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PAG
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0431 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PLA
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0432 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PRE
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0433 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PRO
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0434 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_REC
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0435 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_SAL
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0436 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_SER
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0437 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_USU
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0438 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_VEN
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0439 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CAM ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0440 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CFP ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0441 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CHR ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0442 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0443 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_COM ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0444 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DES ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0445 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DOP ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0446 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ICO ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0447 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IOF ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0448 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IVE ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0449 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LAN ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0450 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LIM ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0451 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_NAT ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0452 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PAG ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0453 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PLA ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0454 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRE ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0455 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0456 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_REC ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0457 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0458 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SER ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0459 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0460 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_VEN ALTER COLUMN DATCRI SET NOT NULL;


/*-- SEQ 0461 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TPR ALTER COLUMN SIGNAT SET DEFAULT 1;

/*-- SEQ 0462 --*/
SELECT DISABLETRIGGERS(LOWER('TT_TPR'));

/*-- SEQ 0463 --*/
UPDATE TT_TPR
   SET SIGNAT = 1
 WHERE SIGNAT IS NULL;

/*-- SEQ 0464 --*/
SELECT ENABLETRIGGERS(LOWER('TT_TPR'));

/*-- SEQ 0465 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TPR ALTER COLUMN SIGNAT SET NOT NULL;

/*-- SEQ 0466 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG DROP COLUMN IMGFIL CASCADE;


/*-- SEQ 0467 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD TRISIM VARCHAR(1);

/*-- SEQ 0468 --*/
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0469 --*/
UPDATE TD_FIL
SET TRISIM = CASE UFLOJA WHEN 'SC' THEN 'O'
WHEN 'RS' THEN 'S'
ELSE 'N'
END
WHERE TRISIM IS NULL;

/*-- SEQ 0470 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0471 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_TRISIM CHECK (TRISIM IN (''N'',''O'',''S''));

/*-- SEQ 0472 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_REGTRI_TRISIM CHECK ((REGTRI=''S'' AND TRISIM IS NOT NULL) OR (COALESCE(REGTRI,''N'')<>''S''));


/*-- SEQ 0473 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CFO ADD CFOMOD CHAR(2);

/*-- SEQ 0474 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_NAT ADD NATMOD CHAR(2);

/*-- SEQ 0475 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_ICO_FIS ADD MODNOT CHAR(2);


/*-- SEQ 0476 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TT_IOR','VLRENT','Numeric(14,4)');



/*-- SEQ 0477 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PAG'));

/*-- SEQ 0478 --*/
UPDATE TT_PAG 
   SET SIGNAT = 0
 WHERE SIGNAT IS NULL;

/*-- SEQ 0479 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PAG'));

/*-- SEQ 0480 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PAG ALTER COLUMN SIGNAT SET DEFAULT 0;

/*-- SEQ 0481 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PAG ALTER COLUMN SIGNAT SET NOT NULL;


/*-- SEQ 0482 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF ADD NUMAUT Numeric(6);

/*-- SEQ 0483 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD NROPAR Numeric(2);

/*-- SEQ 0484 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD TOTPAR Numeric(2);

/*-- SEQ 0485 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD VLRTAX Numeric(14,2);

/*-- SEQ 0486 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_TEF_NUMAUT ON TT_TEF (NUMAUT)  ;

/*-- SEQ 0487 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD STATUS Numeric(1);

/*-- SEQ 0488 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IITF_RO_STATUS ON TI_ITF_RO (STATUS)  ;

/*-- SEQ 0489 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0490 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ITF_RO'));

/*-- SEQ 0491 --*/
UPDATE TI_ITF_RO SET STATUS=1 WHERE STATUS IS NULL;

/*-- SEQ 0492 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ITF_RO'));

/*-- SEQ 0493 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD DATIMP Timestamp;

/*-- SEQ 0494 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD OBSSTA VARCHAR(255);

/*-- SEQ 0495 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD operad char(1);


/*-- SEQ 0496 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEF ADD NRLOTE Numeric(10);

/*-- SEQ 0497 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('TEF_NRLOTE',AGORA());

/*-- SEQ 0498 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD SEQARQ Numeric(10);

/*-- SEQ 0499 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD ORIAJU Numeric(2);

/*-- SEQ 0500 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD CODSTATUS Numeric(2);



/*-- SEQ 0501 --*/
select setval('sqmun',(select MAX(to_number(CODIGO)) from tt_mun)+1)

/*-- SEQ 0502 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL DROP CONSTRAINT FK_DFIL_MUN;

/*-- SEQ 0503 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0504 --*/
SELECT DISABLETRIGGERS('TT_LOG');

/*-- SEQ 0505 --*/
DELETE FROM TT_LOG WHERE CODBAI IN (select codbai from TT_BAI WHERE CODMUN NOT IN (SELECT CODIGO FROM TT_MUN));

/*-- SEQ 0506 --*/
SELECT DISABLETRIGGERS('TT_BAI');

/*-- SEQ 0507 --*/
DELETE FROM TT_BAI WHERE CODMUN NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0508 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BAI DROP CONSTRAINT FK_BAI_MUN;

/*-- SEQ 0509 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BAI ADD CONSTRAINT FK_BAI_MUN FOREIGN KEY (CODMUN) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0510 --*/
SELECT DISABLETRIGGERS('TT_END');

/*-- SEQ 0511 --*/
UPDATE TT_END SET CODCID=NULL WHERE (CODCID) NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0512 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_END DROP CONSTRAINT FK_END_MUN;

/*-- SEQ 0513 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_END ADD CONSTRAINT FK_END_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0514 --*/
SELECT DISABLETRIGGERS('TT_ICM');

/*-- SEQ 0515 --*/
DELETE FROM TT_ICM WHERE (CODCID) NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0516 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICM DROP CONSTRAINT FK_ICM_MUN;

/*-- SEQ 0517 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICM ADD CONSTRAINT FK_ICM_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0518 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDF DROP CONSTRAINT FK_IDF_MUN;

/*-- SEQ 0519 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDF ADD CONSTRAINT FK_IDF_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0520 --*/
SELECT DISABLETRIGGERS('TT_IMU');

/*-- SEQ 0521 --*/
DELETE FROM TT_IMU WHERE (CODCID) NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0522 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IMU DROP CONSTRAINT FK_IMU_MUN;

/*-- SEQ 0523 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IMU ADD CONSTRAINT FK_IMU_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0524 --*/
SELECT DISABLETRIGGERS('TT_MUN');

/*-- SEQ 0525 --*/
UPDATE TT_MUN
SET CODIGO=lpad(NEXTVAL('sqmun'),5,' ')
where codigo NOT LIKE ' %';

/*-- SEQ 0526 --*/
SELECT ENABLETRIGGERS('TT_END');

/*-- SEQ 0527 --*/
SELECT ENABLETRIGGERS('TT_MUN');

/*-- SEQ 0528 --*/
SELECT ENABLETRIGGERS('TT_IMU');

/*-- SEQ 0529 --*/
SELECT ENABLETRIGGERS('TT_ICM');

/*-- SEQ 0530 --*/
SELECT ENABLETRIGGERS('TT_BAI');

/*-- SEQ 0531 --*/
SELECT ENABLETRIGGERS('TT_LOG');

