
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
DROP VIEW TV_FPV;

/*-- SEQ 0002 --*/
ALTER TABLE TT_COM ADD CODDOP Numeric(5);

/*-- SEQ 0003 --*/
ALTER TABLE TT_COM ADD CONSTRAINT FK_COM_DOP FOREIGN KEY (CODDOP) REFERENCES TD_DOP (CODTAB);

/*-- SEQ 0004 --*/
create index I_FK_COM_DOP on TT_COM (CODDOP)  ;


/*-- SEQ 0005 --*/
ALTER TABLE TT_CFG ADD RESERVA_VENDA VARCHAR(1);

/*-- SEQ 0006 --*/
ALTER TABLE TT_CFG ALTER COLUMN RESERVA_VENDA SET DEFAULT 'T';

/*-- SEQ 0007 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_RESERVA_VENDA CHECK (RESERVA_VENDA IN ('T','F'));

/*-- SEQ 0008 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0009 --*/
UPDATE TT_CFG 
   SET RESERVA_VENDA = (SELECT CASE WHEN TRIM(COALESCE(CGCFIL,'')) = '34286997000614'
                                    THEN 'F'
                                    ELSE 'T'
                               END 
                          FROM TD_FIL
                         WHERE CODFIL = '001');

/*-- SEQ 0010 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0011 --*/
ALTER TABLE TT_CFG ALTER COLUMN RESERVA_VENDA SET NOT NULL;

/*-- SEQ 0012 --*/
UPDATE TT_SAL SET RESERV=0;


/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_MED ADD DESMED VARCHAR(20);

/*-- SEQ 0014 --*/
SELECT DISABLETRIGGERS(LOWER('TD_MED'));

/*-- SEQ 0015 --*/
UPDATE TD_MED
SET    DESMED=UNIMED
WHERE  DESMED IS NULL;

/*-- SEQ 0016 --*/
SELECT ENABLETRIGGERS(LOWER('TD_MED'));

/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_MED ALTER COLUMN DESMED SET NOT NULL;

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD DESMED VARCHAR(20);


/*-- SEQ 0019 --*/
ALTER TABLE TT_PED ADD CODDOP Numeric(5);

/*-- SEQ 0020 --*/
ALTER TABLE TT_PED ADD CONSTRAINT FK_PED_DOP FOREIGN KEY (CODDOP) REFERENCES TD_DOP (CODTAB);

/*-- SEQ 0021 --*/
create index I_FK_PED_DOP on TT_PED (CODDOP)  ;


/*-- SEQ 0022 --*/
ALTER TABLE TT_ORC ADD DATAPR Timestamp;






/*-- SEQ 0023 --*/
ALTER TABLE TT_IOR ADD FILEND CHAR(3);

/*-- SEQ 0024 --*/
ALTER TABLE TT_IOR ADD NUMEND Numeric(4);


/*-- SEQ 0025 --*/
ALTER TABLE TW_TAB ADD CL1WEB VARCHAR(1);

/*-- SEQ 0026 --*/
ALTER TABLE TW_TAB ALTER COLUMN CL1WEB SET DEFAULT 'F';

/*-- SEQ 0027 --*/
ALTER TABLE TW_TAB ADD CL2WEB VARCHAR(1);

/*-- SEQ 0028 --*/
ALTER TABLE TW_TAB ALTER COLUMN CL2WEB SET DEFAULT 'F';

/*-- SEQ 0029 --*/
ALTER TABLE TW_TAB ADD CL3WEB VARCHAR(1);

/*-- SEQ 0030 --*/
ALTER TABLE TW_TAB ALTER COLUMN CL3WEB SET DEFAULT 'F';

/*-- SEQ 0031 --*/
ALTER TABLE TW_TAB ADD CL4WEB VARCHAR(1);

/*-- SEQ 0032 --*/
ALTER TABLE TW_TAB ALTER COLUMN CL4WEB SET DEFAULT 'F';

/*-- SEQ 0033 --*/
ALTER TABLE TW_TAB ADD DEPWEB VARCHAR(1);

/*-- SEQ 0034 --*/
ALTER TABLE TW_TAB ALTER COLUMN DEPWEB SET DEFAULT 'F';


/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
SELECT NADA FROM NADA;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
SELECT NADA FROM NADA;

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
SELECT NADA FROM NADA;

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
SELECT NADA FROM NADA;

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
SELECT NADA FROM NADA;

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
SELECT NADA FROM NADA;

/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
SELECT NADA FROM NADA;


/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CFO ADD CFOMOD CHAR(2);

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_NAT ADD NATMOD CHAR(2);

/*-- SEQ 0044 --*/
ALTER TABLE TW_TAB ADD CFOMOD CHAR(2);

/*-- SEQ 0045 --*/
ALTER TABLE TW_TAB ADD NATMOD CHAR(2);

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_ICO_FIS ADD MODNOT CHAR(2);


/*-- SEQ 0047 --*/
ALTER TABLE TT_GRA ADD FORPRE CHAR(1);


/*-- SEQ 0048 --*/
CREATE TABLE TT_CTBXCCB (
  CODFIL CHAR(3), 
  SEQUEN CHAR(10), 
  CODBCO CHAR(3),
  NUMAGE CHAR(5),
  CTACRR CHAR(10),
  CODCCB Numeric(5),
  LICENC VARCHAR(100),
  CODCNV VARCHAR(20))  ;

/*-- SEQ 0049 --*/
ALTER TABLE TT_CTBXCCB ADD ATU_EM Timestamp;

/*-- SEQ 0050 --*/
ALTER TABLE TT_CTBXCCB ADD DATINC Timestamp;

/*-- SEQ 0051 --*/
ALTER TABLE TT_CTBXCCB ADD CONSTRAINT PK_TCTBXCCB PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0052 --*/
ALTER TABLE TT_CTBXCCB ADD CONSTRAINT FK_TCTBXCCB_CTB FOREIGN KEY (CODBCO, NUMAGE, CTACRR) REFERENCES TT_CTB (CODBCO, NUMAGE, CTACRR);

/*-- SEQ 0053 --*/
ALTER TABLE TT_CTBXCCB ADD CONSTRAINT FK_TCTBXCCB_CCB FOREIGN KEY (CODBCO, CODCCB) REFERENCES TT_CCB (CODBCO, CODCCB);

/*-- SEQ 0054 --*/
CREATE INDEX I_FK_CTBXCCB_CTB on TT_CTBXCCB (CODBCO, NUMAGE, CTACRR)  ;

/*-- SEQ 0055 --*/
CREATE INDEX I_FK_CTBXCCB_CCB on TT_CTBXCCB (CODBCO, CODCCB)  ;

/*-- SEQ 0056 --*/
ALTER TABLE TT_CTBXCCB ALTER COLUMN CODBCO SET NOT NULL;

/*-- SEQ 0057 --*/
ALTER TABLE TT_CTBXCCB ALTER COLUMN NUMAGE SET NOT NULL;

/*-- SEQ 0058 --*/
ALTER TABLE TT_CTBXCCB ALTER COLUMN CTACRR SET NOT NULL;

/*-- SEQ 0059 --*/
ALTER TABLE TT_CTBXCCB ALTER COLUMN CODCCB SET NOT NULL;

/*-- SEQ 0060 --*/
ALTER TABLE TT_CTBXCCB ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0061 --*/
ALTER TABLE TT_CTBXCCB ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0062 --*/ 
CREATE SEQUENCE SQTCTBXCCB INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;


/*-- SEQ 0064 --*/
ALTER TABLE TT_USU ADD FILGER CHAR(3);

/*-- SEQ 0065 --*/
ALTER TABLE TT_USU ADD SEQGER CHAR(10);

/*-- SEQ 0066 --*/
ALTER TABLE TT_USU ADD TIPGER CHAR(1);

/*-- SEQ 0067 --*/
ALTER TABLE TT_USU ADD CONSTRAINT FK_USU_CTA_GER FOREIGN KEY (FILGER,SEQGER,TIPGER) REFERENCES TT_CTA (CODFIL,SEQUEN,TIPCTA);

/*-- SEQ 0068 --*/
ALTER TABLE TT_USU ADD CONSTRAINT CK_USU_TIPGER CHECK (TIPGER = 'G');

/*-- SEQ 0069 --*/
create index I_FK_USU_CTA_GER on TT_USU (FILGER,SEQGER,TIPGER)  ;

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG DROP COLUMN IMGFIL CASCADE;


/*-- SEQ 0071 --*/
CREATE TABLE TD_REJ (
CODTAB Numeric(5),
REJATI VARCHAR(1), 
CODBCO CHAR(3) NOT NULL,
CODREJ Numeric(2) NOT NULL,
DESREJ VARCHAR(140) NOT NULL
) ;

/*-- SEQ 0072 --*/
ALTER TABLE TD_REJ ALTER COLUMN REJATI SET DEFAULT 'T';

/*-- SEQ 0073 --*/
ALTER TABLE TD_REJ ALTER COLUMN REJATI SET NOT NULL;

/*-- SEQ 0074 --*/
ALTER TABLE TD_REJ ADD CONSTRAINT PK_DREJ PRIMARY KEY (CODTAB)   ;

/*-- SEQ 0075 --*/
ALTER TABLE TD_REJ ADD CONSTRAINT FK_DREJ_DBCO FOREIGN KEY (CODBCO) REFERENCES TD_BCO (CBANCO);

/*-- SEQ 0076 --*/
ALTER TABLE TD_REJ ADD CONSTRAINT AK_DREJ_CODREJ UNIQUE (CODBCO, CODREJ)   ;

/*-- SEQ 0077 --*/
create index I_FK_DREJ_DBCO on TD_REJ (CODBCO)  ;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TD_BCO
(CODTAB, CBANCO, BCOATI, ABANCO, NBANCO)
(SELECT
   MAX(CODTAB)+1 AS CODTAB,
   '341' AS CBANCO,
   'T' AS BCOATI,
   '001' AS ABANCO,
   'ITA' AS NBANCO
FROM TD_BCO);

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TD_BCO
(CODTAB, CBANCO, BCOATI, ABANCO, NBANCO)
(SELECT
   MAX(CODTAB)+1 AS CODTAB,
   '002' AS CBANCO,
   'T' AS BCOATI,
   '001' AS ABANCO,
   'HSBC' AS NBANCO
FROM TD_BCO);

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TD_BCO
(CODTAB, CBANCO, BCOATI, ABANCO, NBANCO)
(SELECT
   MAX(CODTAB)+1 AS CODTAB,
   '001' AS CBANCO,
   'T' AS BCOATI,
   '001' AS ABANCO,
   'Brasil' AS NBANCO
FROM TD_BCO);


/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD TRISIM VARCHAR(1);

/*-- SEQ 0082 --*/
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0083 --*/
UPDATE TD_FIL
SET TRISIM = CASE UFLOJA WHEN 'SC' THEN 'O'
WHEN 'RS' THEN 'S'
ELSE 'N'
END
WHERE TRISIM IS NULL;

/*-- SEQ 0084 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_TRISIM CHECK (TRISIM IN (''N'',''O'',''S''));

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_REGTRI_TRISIM CHECK ((REGTRI=''S'' AND TRISIM IS NOT NULL) OR (COALESCE(REGTRI,''N'')<>''S''));


/*-- SEQ 0087 --*/
alter table tt_rat drop constraint ck_rat_sitfat;

/*-- SEQ 0088 --*/
alter table tt_rat add constraint ck_rat_sitfat check (sitfat in('A','F','1','2','Z','C'));



/*-- SEQ 0089 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(1, '001', 01, 'Cdigo do banco invlido.');

/*-- SEQ 0090 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(2, '001', 02, 'Cdigo do registro detalhe invlido.');

/*-- SEQ 0091 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(3, '001', 03, 'Cdigo do segmento invlido.');

/*-- SEQ 0092 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(4, '001', 04, 'Cdigo do movimento no permitido para carteira.');

/*-- SEQ 0093 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(5, '001', 05, 'Cdigo do movimento invlido.');

/*-- SEQ 0094 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(6, '001', 06, 'Tipo/Nmero de inscrio do cedente invlidos.');

/*-- SEQ 0095 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(7, '001', 07, 'Agncia / Conta / DV invlido.');

/*-- SEQ 0096 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(8, '001', 08, 'Nosso nmero invlido.');

/*-- SEQ 0097 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(9, '001', 09, 'Nosso nmero duplicado.');

/*-- SEQ 0098 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(10, '001', 10, 'Carteira invlida.');

/*-- SEQ 0099 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(11, '001', 11, 'Forma do cadastramento do ttulo invlido.');

/*-- SEQ 0100 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(12, '001', 12, 'Tipo de documento invlido.');

/*-- SEQ 0101 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(13, '001', 13, 'Identificao da emisso do bloqueto invlida.');

/*-- SEQ 0102 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(14, '001', 14, 'Identificao da distribuio do bloqueto invlida.');

/*-- SEQ 0103 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(15, '001', 15, 'Caractersticas da cobrana incompatveis.');

/*-- SEQ 0104 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(16, '001', 16, 'Data de vencimento invlida.');

/*-- SEQ 0105 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(17, '001', 17, 'Data de vencimento anterior  data de emisso.');

/*-- SEQ 0106 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(18, '001', 18, 'Vencimento fora do prazo de operao.');

/*-- SEQ 0107 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(19, '001', 19, 'Ttulo a cargo de Bancos Correspondentes com vencimento inferior a XX dias.');

/*-- SEQ 0108 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(20, '001', 20, 'Valor do ttulo invlido.');

/*-- SEQ 0109 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(21, '001', 21, 'Espcie do ttulo invlida.');

/*-- SEQ 0110 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(22, '001', 22, 'Espcie no permitida para a carteira.');

/*-- SEQ 0111 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(23, '001', 23, 'Aceite invlido.');

/*-- SEQ 0112 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(24, '001', 24, 'Data de emisso invlida.');

/*-- SEQ 0113 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(25, '001', 25, 'Data de emisso posterior  data.');

/*-- SEQ 0114 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(26, '001', 26, 'Cdigo de juros de mora invlido.');

/*-- SEQ 0115 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(27, '001', 27, 'Valor / Taxa de juros de mora invlido.');

/*-- SEQ 0116 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(28, '001', 28, 'Cdigo do desconto invlido.');

/*-- SEQ 0117 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(29, '001', 29, 'Valor do desconto maior ou igual ao valor do ttulo.');

/*-- SEQ 0118 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(30, '001', 30, 'Desconto a conceder no confere.');

/*-- SEQ 0119 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(31, '001', 31, 'Concesso de desconto  j existe abatimento anterior.');

/*-- SEQ 0120 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(32, '001', 32, 'Valor de IOF invlido.');

/*-- SEQ 0121 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(33, '001', 33, 'Valor de abatimento invlido.');

/*-- SEQ 0122 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(34, '001', 34, 'Valor de abatimento maior ou igual ao valor ttulo.');

/*-- SEQ 0123 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(35, '001', 35, 'Abatimento a conceder no confere.');

/*-- SEQ 0124 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(36, '001', 36, 'Concesso de abatimento  j existe abatimento anterior.');

/*-- SEQ 0125 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(37, '001', 37, 'Cdigo para protesto invlido.');

/*-- SEQ 0126 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(38, '001', 38, 'Prazo para protesto invlido.');

/*-- SEQ 0127 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(39, '001', 39, 'Pedido de protesto no permitido para o ttulo');

/*-- SEQ 0128 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(40, '001', 40, 'Ttulo com ordem de protesto emitida.');

/*-- SEQ 0129 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(41, '001', 41, 'Pedido de cancelamento / sustao para ttulos sem instruo de protesto.');

/*-- SEQ 0130 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(42, '001', 42, 'Cdigo para baixa / devoluo invlido.');

/*-- SEQ 0131 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(43, '001', 43, 'Prazo para baixa / devoluo invlido.');

/*-- SEQ 0132 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(44, '001', 44, 'Cdigo de moeda invlido.');

/*-- SEQ 0133 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(45, '001', 45, 'Nome do sacado no informado.');

/*-- SEQ 0134 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(46, '001', 46, 'Tipo / nmero de inscrio do sacado invlido(s).');

/*-- SEQ 0135 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(47, '001', 47, 'Endereo do sacado no informado.');

/*-- SEQ 0136 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(48, '001', 48, 'CEP invlido.');

/*-- SEQ 0137 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(49, '001', 49, 'CEP sem praa de cobrana / no localizado.');

/*-- SEQ 0138 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(50, '001', 50, 'CEP referente a um Banco correspondente.');

/*-- SEQ 0139 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(51, '001', 51, 'CEP incompatvel com a Unidade de Federao.');

/*-- SEQ 0140 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(52, '001', 52, 'Unidade da Federao invlida.');

/*-- SEQ 0141 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(53, '001', 53, 'Tipo / Nmero de inscrio do sacador / avalista invlido(s).');

/*-- SEQ 0142 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(54, '001', 54, 'Sacador / Avalista no informado.');

/*-- SEQ 0143 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(55, '001', 55, 'Nosso nmero no Banco Correspondente no informado')
;

/*-- SEQ 0144 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(56, '001', 56, 'Cdigo do Banco Correspondente no informado.');

/*-- SEQ 0145 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(57, '001', 57, 'Cdigo da multa invlido.');

/*-- SEQ 0146 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(58, '001', 58, 'Data da multa invlida.');

/*-- SEQ 0147 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(59, '001', 59, 'Valor / Percentual da multa invlido.');

/*-- SEQ 0148 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(60, '001', 60, 'Movimento para ttulo no encontrado.');

/*-- SEQ 0149 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(61, '001', 61, 'Alterao da agncia cobradora / DV invlida.');

/*-- SEQ 0150 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(62, '001', 62, 'Tipo de impresso invlido.');

/*-- SEQ 0151 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(63, '001', 63, 'Entrada para ttulo j cadastrado.');

/*-- SEQ 0152 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(64, '001', 64, 'Nmero da linha invlido.');

/*-- SEQ 0153 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(65, '001', 65, 'Cdigo do Banco para dbito invlido.');

/*-- SEQ 0154 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(66, '001', 66, 'Agncia / Conta / DV para dbito invlido.');

/*-- SEQ 0155 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(67, '001', 67, 'Dados para dbito incompatvel com a identificao da emisso do bloqueto.');

/*-- SEQ 0156 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(68, '001', 88, 'Arquivo em duplicidade.');

/*-- SEQ 0157 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(69, '001', 99, 'Contrato inexistente.');

/*-- SEQ 0158 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(70, '002', 01, 'Cdigo do banco invlido.');

/*-- SEQ 0159 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(71, '002', 02, 'Cdigo do registro detalhe invlido.');

/*-- SEQ 0160 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(72, '002', 03, 'Cdigo do segmento invlido.') ;

/*-- SEQ 0161 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(73, '002', 04, 'Cdigo do movimento no permitido para carteira.');

/*-- SEQ 0162 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(74, '002', 05, 'Cdigo do movimento invlido.');

/*-- SEQ 0163 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(75, '002', 06, 'Tipo/Nmero de inscrio do cedente invlidos.');

/*-- SEQ 0164 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(76, '002', 07, 'Cdigo de Convnio invlido ou no cadastrado.');

/*-- SEQ 0165 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(77, '002', 08, 'Nosso nmero invlido.');

/*-- SEQ 0166 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(78, '002', 09, 'Nosso nmero duplicado.');

/*-- SEQ 0167 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(79, '002', 10, 'Carteira invlida.');

/*-- SEQ 0168 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(80, '002', 11, 'Forma do cadastramento do ttulo invlido.');

/*-- SEQ 0169 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(81, '002', 12, 'Tipo de documento invlido.');

/*-- SEQ 0170 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(82, '002', 13, 'Identificao da emisso do bloqueto invlida.');

/*-- SEQ 0171 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(83, '002', 14, 'Identificao da distribuio do bloqueto invlida.');

/*-- SEQ 0172 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(84, '002', 15, 'Caractersticas da cobrana incompatveis.');

/*-- SEQ 0173 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(85, '002', 16, 'Data de vencimento invlida.');

/*-- SEQ 0174 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(86, '002', 20, 'Valor do ttulo invlido.');

/*-- SEQ 0175 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(87, '002', 21, 'Espcie do ttulo invlida.');

/*-- SEQ 0176 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(88, '002', 23, 'Aceite invlido.');

/*-- SEQ 0177 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(89, '002', 24, 'Data de emisso invlida.');

/*-- SEQ 0178 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(90, '002', 26, 'Cdigo de juros de mora invlido.');

/*-- SEQ 0179 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(91, '002', 27, 'Valor / Taxa de juros de mora invlido.');

/*-- SEQ 0180 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(92, '002', 28, 'Cdigo do desconto invlido.');

/*-- SEQ 0181 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(93, '002', 30, 'Desconto a conceder no confere.');

/*-- SEQ 0182 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(94, '002', 33, 'Valor de abatimento invlido.');

/*-- SEQ 0183 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(95, '341', 01, 'Instruo / Ocorrncia no existe.');

/*-- SEQ 0184 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(96,'341', 06, 'Nosso nmero igual a zeros.');

/*-- SEQ 0185 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(97,'341', 09, 'CGC / CPF do Sacador / Avalista invlido.');

/*-- SEQ 0186 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(98,'341', 14, 'Registro em duplicidade.');

/*-- SEQ 0187 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(99,'341', 15, 'CGC / CPF informado sem nome do Sacador / Avalista.');

/*-- SEQ 0188 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(100,'341', 21, 'Ttulo no registrado no Sistema.');

/*-- SEQ 0189 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(101,'341', 22, 'Ttulo baixado ou liquidado.');

/*-- SEQ 0190 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(102,'341', 23, 'Instruo no aceita por ter sido emitido ltimo aviso ao Sacado.');

/*-- SEQ 0191 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(103,'341', 24, 'Instruo incompatvel  Existe instruo de protesto para o ttulo.');

/*-- SEQ 0192 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(104,'341', 25, 'Instruo incompatvel  No existe instruo de protesto para o ttulo.');

/*-- SEQ 0193 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(105,'341', 26, 'Instruo no aceita por ter sido emitido ltimo aviso ao Sacado.');

/*-- SEQ 0194 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(106,'341', 27, 'Instruo no aceita por ter sido emitida a Ordem de Protesto para o Ttulo.');

/*-- SEQ 0195 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(107,'341', 28, 'J existe uma mesma instruo cadastrada anteriormente para o ttulo.');

/*-- SEQ 0196 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(108,'341', 29, 'Valor Lquido + Valor do Abatimento diferente do valor do Ttulo registrado.');

/*-- SEQ 0197 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(109,'341', 30, 'Existe uma instruo de no protestar ativa para o Ttulo.');

/*-- SEQ 0198 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(110,'341', 31, 'Existe uma ocorrncia do Sacado que bloqueia a instruo.');

/*-- SEQ 0199 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(111,'341', 32, 'Depositria do Ttulo = 9999 ou Carteira no aceita Protesto.');

/*-- SEQ 0200 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(112,'341', 33, 'Alterao de vencimento igual  registrada no sistema ou que torna o ttulo vencido.');

/*-- SEQ 0201 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(113,'341', 34, 'Instruo de emisso de aviso de cobrana para ttulo vencido antes do vencimento.');

/*-- SEQ 0202 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(114,'341', 35, 'Solicitao de cancelamento de instruo inexistente.');

/*-- SEQ 0203 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(115,'341', 36, 'Ttulo sofrendo alterao de controle (Agncia / Conta / Carteira / Nosso Nmero).');

/*-- SEQ 0204 --*/
INSERT INTO TD_REJ
(CODTAB, CODBCO, CODREJ, DESREJ)
VALUES
(116,'341', 37, 'Instruo no permitida para a carteira.');


/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TT_IOR','VLRENT','Numeric(14,4)');



/*-- SEQ 0206 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CTBXCCB'));

/*-- SEQ 0207 --*/
INSERT INTO TT_CTBXCCB
(CODFIL, SEQUEN, CODBCO, NUMAGE, CTACRR, CODCCB, LICENC, CODCNV, ATU_EM, DATINC)
SELECT (SELECT CODLOJ 
          FROM TT_IDF) AS CODFIL, 
       LPAD(NEXTVAL('SQTCTBXCCB'),10,' ') AS SEQUEN, 
       CTB.CODBCO, CTB.NUMAGE, CTB.CTACRR, 
       (SELECT T.CODCCB
          FROM TT_TIT T
         WHERE T.CODBCO = CTB.CODBCO
           AND T.NUMAGE = CTB.NUMAGE
           AND T.CTACRR = CTB.CTACRR
           LIMIT 1
       ) AS CODCCB,
       CTB.LICENCA AS LICENC, 
       CTB.CODCNV,
       Agora() AS ATU_EM,
       Agora() AS DATINC
  FROM TT_CTB CTB
 WHERE CTB.LICENCA IS NOT NULL
    OR CTB.CODCNV IS NOT NULL;

/*-- SEQ 0208 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CTBXCCB'));

/*-- SEQ 0209 --*/
ALTER TABLE TT_CTB DROP COLUMN CODCNV CASCADE;

/*-- SEQ 0210 --*/
ALTER TABLE TT_CTB DROP COLUMN LICENCA CASCADE;


/*-- SEQ 0211 --*/
ALTER TABLE TT_IVO ADD CONFERIDO Numeric(12,4);


/*-- SEQ 0212 --*/ 
CREATE SEQUENCE sqDREJ INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0213 --*/ 
SELECT NEXTVAL('sqDREJ')
  FROM TD_REJ;

/*-- SEQ 0214 --*/
SELECT ExecAlteraTipoColuna('TD_REJ','CODREJ','Numeric(10)');



/*-- SEQ 0215 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PAG'));

/*-- SEQ 0216 --*/
UPDATE TT_PAG 
   SET SIGNAT = 0
 WHERE SIGNAT IS NULL;

/*-- SEQ 0217 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PAG'));

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PAG ALTER COLUMN SIGNAT SET DEFAULT 0;

/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PAG ALTER COLUMN SIGNAT SET NOT NULL;


/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF ADD NUMAUT Numeric(6);

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD NROPAR Numeric(2);

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD TOTPAR Numeric(2);

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD VLRTAX Numeric(14,2);

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_TEF_NUMAUT ON TT_TEF (NUMAUT)  ;

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD STATUS Numeric(1);

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IITF_RO_STATUS ON TI_ITF_RO (STATUS)  ;

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0228 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ITF_RO'));

/*-- SEQ 0229 --*/
UPDATE TI_ITF_RO SET STATUS=1 WHERE STATUS IS NULL;

/*-- SEQ 0230 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ITF_RO'));

/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD DATIMP Timestamp;

/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD OBSSTA VARCHAR(255);

/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD operad char(1);

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEF ADD NRLOTE Numeric(10);

/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('TEF_NRLOTE',AGORA());

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD SEQARQ Numeric(10);

/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD ORIAJU Numeric(2);

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD CODSTATUS Numeric(2);



/*-- SEQ 0239 --*/
select setval('sqmun',(select MAX(to_number(CODIGO)) from tt_mun)+1)

/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL DROP CONSTRAINT FK_DFIL_MUN;

/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0242 --*/
SELECT DISABLETRIGGERS('TT_LOG');

/*-- SEQ 0243 --*/
DELETE FROM TT_LOG WHERE CODBAI IN (select codbai from TT_BAI WHERE CODMUN NOT IN (SELECT CODIGO FROM TT_MUN));

/*-- SEQ 0244 --*/
SELECT DISABLETRIGGERS('TT_BAI');

/*-- SEQ 0245 --*/
DELETE FROM TT_BAI WHERE CODMUN NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BAI DROP CONSTRAINT FK_BAI_MUN;

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BAI ADD CONSTRAINT FK_BAI_MUN FOREIGN KEY (CODMUN) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0248 --*/
SELECT DISABLETRIGGERS('TT_END');

/*-- SEQ 0249 --*/
UPDATE TT_END SET CODCID=NULL WHERE (CODCID) NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_END DROP CONSTRAINT FK_END_MUN;

/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_END ADD CONSTRAINT FK_END_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0252 --*/
SELECT DISABLETRIGGERS('TT_ICM');

/*-- SEQ 0253 --*/
DELETE FROM TT_ICM WHERE (CODCID) NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICM DROP CONSTRAINT FK_ICM_MUN;

/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICM ADD CONSTRAINT FK_ICM_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDF DROP CONSTRAINT FK_IDF_MUN;

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDF ADD CONSTRAINT FK_IDF_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0258 --*/
SELECT DISABLETRIGGERS('TT_IMU');

/*-- SEQ 0259 --*/
DELETE FROM TT_IMU WHERE (CODCID) NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IMU DROP CONSTRAINT FK_IMU_MUN;

/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IMU ADD CONSTRAINT FK_IMU_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0262 --*/
SELECT DISABLETRIGGERS('TT_MUN');

/*-- SEQ 0263 --*/
UPDATE TT_MUN
SET CODIGO=lpad(NEXTVAL('sqmun'),5,' ')
where codigo NOT LIKE ' %';

/*-- SEQ 0264 --*/
SELECT ENABLETRIGGERS('TT_END');

/*-- SEQ 0265 --*/
SELECT ENABLETRIGGERS('TT_MUN');

/*-- SEQ 0266 --*/
SELECT ENABLETRIGGERS('TT_IMU');

/*-- SEQ 0267 --*/
SELECT ENABLETRIGGERS('TT_ICM');

/*-- SEQ 0268 --*/
SELECT ENABLETRIGGERS('TT_BAI');

/*-- SEQ 0269 --*/
SELECT ENABLETRIGGERS('TT_LOG');


/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQ_ARQ_COBREBEM INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FCP DROP COLUMN PREBOM CASCADE;

/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_MDT ADD PREBOM Numeric(14,4);

