
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
CREATE TABLE TD_PES (
  CODTAB Numeric(5),
  DESPES VARCHAR(100),
  PESATI VARCHAR(1),
  PESINI Numeric(12,4),
  PESFIM Numeric(12,4)
  )  ;
 
/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
ALTER TABLE TD_PES ALTER COLUMN PESATI SET DEFAULT 'T';

/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
ALTER TABLE TD_PES ADD CONSTRAINT PK_DPES PRIMARY KEY (CODTAB);

/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
CREATE INDEX I_LC_DPES_PESINI ON TD_PES (PESINI)  ;
 
/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
CREATE INDEX I_LC_DPES_PESFIM ON TD_PES (PESFIM)  ;

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
ALTER TABLE TD_PES ADD CONSTRAINT CK_DPES_PESATI CHECK (PESATI IN ('T','F'));

/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 -- 
ALTER TABLE TD_PES ALTER COLUMN DESPES SET NOT NULL;

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 -- 
ALTER TABLE TD_PES ALTER COLUMN PESINI SET NOT NULL;

/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 -- 
ALTER TABLE TD_PES ALTER COLUMN PESFIM SET NOT NULL;

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 -- 
ALTER TABLE TD_PES ALTER COLUMN PESATI SET NOT NULL;

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
ALTER TABLE TW_TAB ADD COLUMN DESPES VARCHAR(100) ;


/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0013 --*/
ALTER TABLE TW_TAB ADD COLUMN PESATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0014 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
ALTER TABLE TW_TAB ADD COLUMN PESINI Numeric(12,4) ;


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
ALTER TABLE TW_TAB ADD COLUMN PESFIM Numeric(12,4) ;



/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
CREATE TABLE TT_FRP (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Timestamp,
  ATU_EM Timestamp,
  CODFRE Numeric(5),
  CODREG Numeric(5),
  CODPES Numeric(5),
  VLRFRE Numeric(12,2)
  )  ;
 
/*-- SEQ 0018 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
ALTER TABLE TT_FRP ADD CONSTRAINT PK_FRP PRIMARY KEY (CODFIL,SEQUEN);
 
/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
ALTER TABLE TT_FRP ADD CONSTRAINT FK_FRP_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);
 
/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
ALTER TABLE TT_FRP ADD CONSTRAINT FK_FRP_DFRE FOREIGN KEY (CODFRE) REFERENCES TD_FRE(CODTAB);
 
/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
ALTER TABLE TT_FRP ADD CONSTRAINT FK_FRP_DREG FOREIGN KEY (CODREG) REFERENCES TD_REG(CODTAB);

/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
ALTER TABLE TT_FRP ADD CONSTRAINT FK_FRP_DPES FOREIGN KEY (CODPES) REFERENCES TD_PES(CODTAB);

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
CREATE INDEX I_FK_FRP_DFIL ON TT_FRP (CODFIL)  ;

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
CREATE INDEX I_FK_FRP_DFRE ON TT_FRP (CODFRE)  ;
 
/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
CREATE INDEX I_FK_FRP_DREG ON TT_FRP (CODREG)  ;
 
/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
CREATE INDEX I_FK_FRP_DPES ON TT_FRP (CODPES)  ;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
CREATE UNIQUE INDEX I_UQ_FRP ON TT_FRP (CODREG,CODPES)  ;

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
ALTER TABLE TT_FRP ALTER COLUMN CODFRE SET NOT NULL;

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
ALTER TABLE TT_FRP ALTER COLUMN CODREG SET NOT NULL;

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
ALTER TABLE TT_FRP ALTER COLUMN CODPES SET NOT NULL;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
ALTER TABLE TT_FRP ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
ALTER TABLE TT_FRP ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
ALTER TABLE TT_FRP ALTER COLUMN VLRFRE SET NOT NULL;

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
CREATE SEQUENCE SQFRP INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
CREATE TABLE TD_FRE (
  CODTAB Numeric(5),
  DESFRE VARCHAR(100),
  FREATI VARCHAR(1),
  DFRE_TIPCOB CHAR(1),
  DFRE_PERVEN Numeric(5,2),
  DFRE_VALENT Numeric(12,2),
  DFRE_VALPES Numeric(12,2),
  DFRE_VALQTD Numeric(12,2),
  DFRE_FREMIN Numeric(12,2),
  DFRE_MINDES Numeric(12,2),
  DFRE_PERDES Numeric(5,2)
  )  ;
 
/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TD_FRE ALTER COLUMN FREATI SET DEFAULT 'T';

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TD_FRE ALTER COLUMN DFRE_TIPCOB SET DEFAULT 'V';

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TD_FRE ADD CONSTRAINT PK_DFRE PRIMARY KEY (CODTAB);

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TD_FRE ADD CONSTRAINT CK_DFRE_TIPCOB CHECK (DFRE_TIPCOB IN ('V','E','P','Q'));

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TD_FRE ADD CONSTRAINT CK_DFRE_FREATI CHECK (FREATI IN ('T','F'));

/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 -- 
ALTER TABLE TD_FRE ALTER COLUMN DESFRE SET NOT NULL;

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 -- 
ALTER TABLE TD_FRE ALTER COLUMN FREATI SET NOT NULL;

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 -- 
ALTER TABLE TD_FRE ALTER COLUMN DFRE_TIPCOB SET NOT NULL;

/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TW_TAB ADD COLUMN DESFRE VARCHAR(100) ;


/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0046 --*/
ALTER TABLE TW_TAB ADD COLUMN FREATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0047 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0049 --*/
ALTER TABLE TW_TAB ADD COLUMN DFRE_TIPCOB CHAR(1) DEFAULT 'V';

/*-- SEQ 0050 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TW_TAB ADD COLUMN DFRE_PERVEN Numeric(5,2) ;


/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TW_TAB ADD COLUMN DFRE_VALENT Numeric(12,2) ;


/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TW_TAB ADD COLUMN DFRE_VALPES Numeric(12,2) ;


/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TW_TAB ADD COLUMN DFRE_VALQTD Numeric(12,2) ;


/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TW_TAB ADD COLUMN DFRE_FREMIN Numeric(12,2) ;


/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TW_TAB ADD COLUMN DFRE_MINDES Numeric(12,2) ;


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
ALTER TABLE TW_TAB ADD COLUMN DFRE_PERDES Numeric(5,2) ;



/*-- SEQ 0058 --*/
-- Tarefa 89541 --
ALTER TABLE TT_ORC ADD COLUMN CODVEI Numeric(5) ;


/*-- SEQ 0059 --*/
-- Tarefa 89541 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_DVEI FOREIGN KEY (CODVEI) REFERENCES TD_VEI (CODTAB);

/*-- SEQ 0060 --*/
-- Tarefa 89541 --
CREATE INDEX I_FK_ORC_DVEI ON TT_ORC (CODVEI)  ;


/*-- SEQ 0061 --*/
-- Tarefa 89561 --
ALTER TABLE TD_VEI ADD COLUMN CODFRE Numeric(5) ;


/*-- SEQ 0062 --*/
-- Tarefa 89561 --
ALTER TABLE TD_VEI ADD CONSTRAINT FK_DVEI_DFRE FOREIGN KEY (CODFRE) REFERENCES TD_FRE (CODTAB);

/*-- SEQ 0063 --*/
-- Tarefa 89561 --
CREATE INDEX I_FK_DVEI_DFRE ON TD_VEI (CODFRE)  ;

/*-- SEQ 0064 --*/
-- Tarefa 89561 --
ALTER TABLE TW_TAB ADD COLUMN CODFRE Numeric(5) ;



/*-- SEQ 0065 --*/
-- Tarefa 89570 --
ALTER TABLE TT_PRO ADD COLUMN DESFRE Numeric(5,2) ;


/*-- SEQ 0066 --*/
-- Tarefa 89570 --
ALTER TABLE TT_PRO ADD COLUMN SUBFRE Numeric(5,2) ;


/*-- SEQ 0067 --*/
-- Tarefa 89570 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_SUBFRE CHECK (SUBFRE > 0);


/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR1 CASCADE;

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR2 CASCADE;

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR3 CASCADE;

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR4 CASCADE;


/*-- SEQ 0072 --*/
-- Tarefa 89397 --
ALTER TABLE TW_TAB ALTER COLUMN FLGENC SET DEFAULT 'F';

/*-- SEQ 0073 --*/
-- Tarefa 89397 --
ALTER TABLE TW_TAB ALTER COLUMN FLGDEV SET DEFAULT 'T';


/*-- SEQ 0074 --*/
-- Tarefa 89376 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,367)||'N'||SUBSTR(PERMIS,369,9999);

/*-- SEQ 0075 --*/
-- Tarefa 89376 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,367)||'N'||SUBSTR(PERMIS,369,9999);


/*-- SEQ 0076 --*/
-- Tarefa 89306 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0077 --*/
ALTER TABLE TT_PRO ADD COLUMN USALOT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0078 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0079 --*/
-- Tarefa 89306 --
 ALTER TABLE TT_PRO ALTER COLUMN USALOT SET NOT NULL;

/*-- SEQ 0080 --*/
-- Tarefa 89306 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_USALOT CHECK (USALOT IN ('T','F'));


/*-- SEQ 0081 --*/
-- Tarefa 89305 --
CREATE TABLE TL_LOT (
  CODTAB Numeric(10),
  FILLOT CHAR(3),
  SEQLOT CHAR(10),
  DATOPE Timestamp,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  CODUID Numeric)  ;

/*-- SEQ 0082 --*/
-- Tarefa 89305 --
ALTER TABLE TL_LOT ALTER COLUMN FILLOT SET NOT NULL;

/*-- SEQ 0083 --*/
-- Tarefa 89305 --
ALTER TABLE TL_LOT ALTER COLUMN SEQLOT SET NOT NULL;

/*-- SEQ 0084 --*/
-- Tarefa 89305 --
ALTER TABLE TL_LOT ALTER COLUMN DATOPE SET NOT NULL;

/*-- SEQ 0085 --*/
-- Tarefa 89305 --
ALTER TABLE TL_LOT ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0086 --*/
-- Tarefa 89305 --
ALTER TABLE TL_LOT ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0087 --*/
-- Tarefa 89305 --
ALTER TABLE TL_LOT ADD CONSTRAINT PK_LLOT PRIMARY KEY (CODTAB);

/*-- SEQ 0088 --*/
-- Tarefa 89305 --
ALTER TABLE TL_LOT ADD CONSTRAINT FK_LLOT_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0089 --*/
-- Tarefa 89305 --
CREATE INDEX I_FK_LLOT_USU ON TL_LOT (FILUSU, CODUSU)  ;

/*-- SEQ 0090 --*/
-- Tarefa 89305 --
ALTER TABLE TL_LOT ADD CONSTRAINT FK_LLOT_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0091 --*/
-- Tarefa 89305 --
CREATE INDEX I_FK_LLOT_UID ON TL_LOT (CODUID)  ;

/*-- SEQ 0092 --*/
-- Tarefa 89305 --
ALTER TABLE TL_LOT ADD CONSTRAINT FK_LLOT_LOT FOREIGN KEY (FILLOT, SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0093 --*/
-- Tarefa 89305 --
CREATE INDEX I_FK_LLOT_LOT ON TL_LOT (FILLOT, SEQLOT)  ;

/*-- SEQ 0094 --*/
-- Tarefa 89305 --
CREATE SEQUENCE SQLLOT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0095 --*/
-- Tarefa 89305 --
ALTER TABLE TL_LOT ADD COLUMN MSGLOG VARCHAR(4000) ;



/*-- SEQ 0096 --*/
-- Tarefa 89576 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN VLRFRE Numeric(12,2) ;


/*-- SEQ 0097 --*/
-- Tarefa 89576 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN SUBFRE Numeric(5,2) ;



/*-- SEQ 0098 --*/
-- Tarefa 89577 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN SUBFRE Numeric(5,2) ;



/*-- SEQ 0099 --*/
-- Tarefa  89354 --
ALTER TABLE TT_CFG ADD COLUMN  VEI_ORC Numeric(5) ;


/*-- SEQ 0100 --*/
-- Tarefa  89354 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DVEI FOREIGN KEY (VEI_ORC) REFERENCES TD_VEI (CODTAB);

/*-- SEQ 0101 --*/
-- Tarefa  89354 --
ALTER TABLE TW_CFG ADD COLUMN VEI_ORC Numeric(5) ;



/*-- SEQ 0102 --*/
-- Tarefa 90048 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0103 --*/
ALTER TABLE TT_CFG ADD COLUMN CKPACONFERE_DAV VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0104 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0105 --*/
-- Tarefa 90048 -- 
ALTER TABLE TT_CFG ALTER COLUMN CKPACONFERE_DAV SET NOT NULL;

/*-- SEQ 0106 --*/
-- Tarefa 90048 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CKPACONFERE_DAV CHECK (CKPACONFERE_DAV IN ('T','F'));

/*-- SEQ 0107 --*/
-- Tarefa 90048 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0108 --*/
ALTER TABLE TW_CFG ADD COLUMN CKPACONFERE_DAV VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0109 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0110 --*/
-- Tarefa 89371 --
DROP INDEX I_UQ_FRP;

/*-- SEQ 0111 --*/
-- Tarefa 89371 --
CREATE UNIQUE INDEX I_UQ_FRP ON TT_FRP (CODFRE,CODREG,CODPES)  ;



/*-- SEQ 0112 --*/
-- Tarefa 90100 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0113 --*/
ALTER TABLE TT_CFG ADD COLUMN CKPAAUT_DEV_FRETE VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0114 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0115 --*/
-- Tarefa 90100 --
ALTER TABLE TT_CFG ALTER COLUMN CKPAAUT_DEV_FRETE SET NOT NULL;

/*-- SEQ 0116 --*/
-- Tarefa 90100 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CKPAAT_DEV_FRETE CHECK (CKPAAUT_DEV_FRETE IN ('T','F'));

/*-- SEQ 0117 --*/
-- Tarefa 90100 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0118 --*/
ALTER TABLE TW_CFG ADD COLUMN CKPAAUT_DEV_FRETE VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0119 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0120 --*/
-- Tarefa 90093 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,369)||SUBSTR(PERMIS,159,1)||SUBSTR(PERMIS,371,9999);

/*-- SEQ 0121 --*/
-- Tarefa 90093 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,369)||SUBSTR(PERMIS,159,1)||SUBSTR(PERMIS,371,9999);


/*-- SEQ 0122 --*/
-- Tarefa 90092 --
CREATE TABLE TT_RFC (
  FILCLI CHAR(3),
  CODCLI CHAR(6),
  NUMRFC Numeric(4),
  DATINC Timestamp,
  ATU_EM Timestamp,
  NOMRFC VARCHAR(40),
  ENDERE VARCHAR(34),
  DDDFON CHAR(2),
  NUMFON VARCHAR(10),
  E_MAIL VARCHAR(254))  ;

/*-- SEQ 0123 --*/
-- Tarefa 90092 --
ALTER TABLE TT_RFC ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0124 --*/
-- Tarefa 89305 --
ALTER TABLE TT_RFC ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0125 --*/
-- Tarefa 90092 --
ALTER TABLE TT_RFC ALTER COLUMN NOMRFC SET NOT NULL;  
  
/*-- SEQ 0126 --*/
-- Tarefa 90092 --
ALTER TABLE TT_RFC ADD CONSTRAINT PK_RFC PRIMARY KEY (FILCLI, CODCLI, NUMRFC);

/*-- SEQ 0127 --*/
-- Tarefa 90092 --
ALTER TABLE TT_RFC ADD CONSTRAINT FK_RFC_CLI FOREIGN KEY (FILCLI, CODCLI) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0128 --*/
-- Tarefa 90092 --
CREATE INDEX I_FK_RFC_CLI ON TT_RFC (FILCLI, CODCLI)  ;


/*-- SEQ 0129 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN DATVAL DROP NOT NULL;

/*-- SEQ 0130 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN TONALI DROP NOT NULL;


/*-- SEQ 0131 --*/
-- Tarefa 90080 --
ALTER TABLE TT_SAL ADD COLUMN QTDMAX Numeric(13,4) ;



/*-- SEQ 0132 --*/
-- Tarefa 90066 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0133 --*/
ALTER TABLE TD_FIL ADD COLUMN PEROPEFIX Numeric(6,2) DEFAULT '0';

/*-- SEQ 0134 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));
 
/*-- SEQ 0135 --*/
-- Tarefa 90066 --
ALTER TABLE TD_FIL ALTER COLUMN PEROPEFIX SET NOT NULL;


/*-- SEQ 0136 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90167 --
ALTER TABLE TT_ORC ADD COLUMN FILTRA  CHAR(3) ;


/*-- SEQ 0137 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90167 --
ALTER TABLE TT_ORC ADD COLUMN CODTRA  CHAR(6) ;


/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90167 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_TRA FOREIGN KEY (FILTRA,CODTRA) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0139 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90167 --
CREATE INDEX I_FK_ORC_TRA ON TT_ORC (FILTRA,CODTRA)  ;


/*-- SEQ 0140 --*/
-- Tarefa 89361 --
ALTER TABLE TT_GRA ADD COLUMN PERIND Numeric(5,2) ;


/*-- SEQ 0141 --*/
-- Tarefa 89361 --
ALTER TABLE TT_IVE ADD COLUMN COMIND Numeric(9,2) ;




/*-- SEQ 0142 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
DROP FUNCTION TGPRO1() CASCADE;


/*-- SEQ 0143 --*/
-- Tarefa 90100 --
ALTER TABLE TT_CFG ALTER COLUMN CKPAAUT_DEV_FRETE SET DEFAULT 'F';


/*-- SEQ 0144 --*/
-- Tarefa 90100 --
ALTER TABLE TW_CFG ALTER COLUMN CKPAAUT_DEV_FRETE SET DEFAULT 'F';


/*-- SEQ 0145 --*/
-- Tarefa 90316 --
ALTER TABLE TT_ORC ADD COLUMN CODFRE  Numeric(5) ;


/*-- SEQ 0146 --*/
-- Tarefa 90316 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_DFRE FOREIGN KEY (CODFRE) REFERENCES TD_FRE(CODTAB);

/*-- SEQ 0147 --*/
-- Tarefa 90316 --
CREATE INDEX I_FK_ORC_DFRE ON TT_ORC (CODFRE)  ;

/*-- SEQ 0148 --*/
-- Tarefa 90316 --
ALTER TABLE TT_VEN ADD COLUMN CODFRE  Numeric(5) ;


/*-- SEQ 0149 --*/
-- Tarefa 90316 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_DFRE FOREIGN KEY (CODFRE) REFERENCES TD_FRE(CODTAB);

/*-- SEQ 0150 --*/
-- Tarefa 90316 --
CREATE INDEX I_FK_VEN_DFRE ON TT_VEN (CODFRE)  ;


/*-- SEQ 0151 --*/
-- Tarefa 89377 --
ALTER TABLE TT_ORC ADD COLUMN PESBRU_ENT Numeric(12,2) ;



/*-- SEQ 0152 --*/
-- Tarefa 90348 --
ALTER TABLE TT_IPE ADD COLUMN FILLOT CHAR(3) ;


/*-- SEQ 0153 --*/
-- Tarefa 90348 --
ALTER TABLE TT_IPE ADD COLUMN SEQLOT CHAR(10) ;


/*-- SEQ 0154 --*/
-- Tarefa 90348 --
ALTER TABLE TT_IPE ADD CONSTRAINT FK_IPE_LOT FOREIGN KEY (FILLOT,SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0155 --*/
-- Tarefa 90348 --
CREATE INDEX I_FK_IPE_LOT ON TT_IPE (FILLOT,SEQLOT)  ;



/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Daniel - Demora importa_pre Systextil --
CREATE INDEX I_LC_IPRE_CODEXT ON TI_PRE (CODEXT, CODFIL)  ;


/*-- SEQ 0157 --*/
-- Tarefa 90432 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CLI ADD COLUMN FILEND CHAR(3) ;


/*-- SEQ 0158 --*/
-- Tarefa 90432 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CLI ADD COLUMN NUMEND Numeric(4) ;


/*-- SEQ 0159 --*/
-- Tarefa 90432 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'WCLINUMEND', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'WCLINUMEND'));


/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90142 --
ALTER TABLE TT_PRO DROP CONSTRAINT CK_PRO_TIPMPB CASCADE;

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90142 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_TIPMPB CHECK (TIPMPB IN ('C','T','M','E','O','D','U','N','S','R','A'));


/*-- SEQ 0162 --*/
-- Tarefa 90682 --
ALTER TABLE TD_FRE DROP CONSTRAINT CK_DFRE_TIPCOB CASCADE;

/*-- SEQ 0163 --*/
-- Tarefa 90682 --
ALTER TABLE TD_FRE ADD CONSTRAINT CK_DFRE_TIPCOB CHECK (DFRE_TIPCOB IN ('V','E','P','Q','R'));


/*-- SEQ 0164 --*/
-- Tarefa 90867 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0165 --*/
-- Tarefa 90867 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'RTTTRGNUM', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'RTTTRGNUM'));

/*-- SEQ 0166 --*/
-- Tarefa 90867 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));

