
/*-- SEQ 0001 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0002 --*/
UPDATE TT_PRO SET TIPPRO = 1 
  WHERE TIPPRO = 2;

/*-- SEQ 0003 --*/
UPDATE TT_PRO SET TIPPRO = 2 
  WHERE TIPPRO = 3;

/*-- SEQ 0004 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));



/*-- SEQ 0005 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0006 --*/
ALTER TABLE TT_PAP ADD PERMIS VARCHAR(300);

/*-- SEQ 0007 --*/
UPDATE TT_PAP SET PERMIS = RPAD('N',300,'N') 
WHERE PERMIS IS NULL;

/*-- SEQ 0008 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));



/*-- SEQ 0009 --*/
CREATE TABLE TT_FILXPLA (CODFIL CHAR(3),
			 SEQUEN CHAR(10),
                         FILPGT CHAR(3),   
                         CODPGT CHAR(3),   
			 CODCTR Numeric(5),
			 FILSEL CHAR(3),
                         ATU_EM Timestamp  )  ;

/*-- SEQ 0010 --*/
ALTER TABLE TT_FILXPLA ADD CONSTRAINT PK_FILXPLA PRIMARY KEY 
   (CODFIL,SEQUEN)   ;

/*-- SEQ 0011 --*/
ALTER TABLE TT_FILXPLA ADD CONSTRAINT CK_FILXPLA_REGRA CHECK (CODCTR IS NOT NULL or FILSEL IS NOT NULL);

/*-- SEQ 0012 --*/
CREATE INDEX I_LC_FILXPLA_CODCTR ON TT_FILXPLA (CODCTR)  ;

/*-- SEQ 0013 --*/
CREATE INDEX I_LC_FILXPLA_FILSEL ON TT_FILXPLA (FILSEL)  ;

/*-- SEQ 0014 --*/
ALTER TABLE TT_FILXPLA ALTER COLUMN FILPGT SET NOT NULL;

/*-- SEQ 0015 --*/
ALTER TABLE TT_FILXPLA ALTER COLUMN CODPGT SET NOT NULL;

/*-- SEQ 0016 --*/
ALTER TABLE TT_FILXPLA ADD CONSTRAINT FK_FILXPLA_DFIL FOREIGN KEY (FILSEL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0017 --*/
ALTER TABLE TT_FILXPLA ADD CONSTRAINT FK_FILXPLA_DCTR FOREIGN KEY (CODCTR) REFERENCES TD_CTR (CODTAB);

/*-- SEQ 0018 --*/
ALTER TABLE TT_FILXPLA ADD CONSTRAINT FK_FILXPLA_PLA FOREIGN KEY (FILPGT,CODPGT) REFERENCES TT_PLA (FILPGT,CODPGT);

/*-- SEQ 0019 --*/
ALTER TABLE TT_FILXPLA ADD CONSTRAINT FK_FILXPLA_CODFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0020 --*/
CREATE SEQUENCE SQFILXPLA INCREMENT 1 START 1 MINVALUE 1;





/*-- SEQ 0021 --*/
ALTER TABLE TT_CTAxFIL ADD SALDO_INICIAL_A Numeric(12,2);

/*-- SEQ 0022 --*/
ALTER TABLE TT_CTAxFIL ADD SALDO_INICIAL_R Numeric(12,2);

/*-- SEQ 0023 --*/
ALTER TABLE TT_CTAxFIL ADD DATA_INICIAL Timestamp;



/*-- SEQ 0024 --*/
ALTER TABLE TT_CFG DROP COLUMN CKPaObrCar CASCADE;

/*-- SEQ 0025 --*/
ALTER TABLE TW_CFG DROP COLUMN CKPaObrCar CASCADE;

/*-- SEQ 0026 --*/
-- Criar as ctm inexistentes
INSERT INTO TT_CTM
       (CODFIL, SEQUEN, NUMPAR, SUBPAR, TIPOPE, DATTRN, MANUAL, NUMCAR, VLDCAR, NUMAUT)
       (SELECT REC.CODFIL, REC.SEQUEN, REC.NUMPAR, REC.SUBPAR, 
               CAST('C' AS CHAR(1)) AS TIPOPE,
               COALESCE(REC.PAGAME,REC.ATU_EM) AS DATTRN,
               CAST('T' AS CHAR(1)) AS MANUAL,
               CAST('CORRECAO' AS CHAR(8)) AS NUMCAR,
               CAST('-X-' AS CHAR(3)) AS VLDCAR,
               CAST(0 AS Numeric(6)) AS NUMAUT
        FROM TT_REC REC LEFT JOIN TT_CTM CTM ON CTM.CODFIL = REC.CODFIL
                                            AND CTM.SEQUEN = REC.SEQUEN
                                            AND CTM.NUMPAR = REC.NUMPAR
                                            AND CTM.SUBPAR = REC.SUBPAR
        WHERE REC.CARTAO IS NOT NULL
          AND CTM.CODFIL IS NULL
          AND REC.FLGEST IN ('A','P'));


/*-- SEQ 0027 --*/
ALTER TABLE TD_CWS ADD ORICWS VARCHAR(1);

/*-- SEQ 0028 --*/
ALTER TABLE TD_CWS ADD CONSTRAINT CK_DCWS_ORICWS CHECK (ORICWS IN ('C','E','O'));

/*-- SEQ 0029 --*/
ALTER TABLE TD_CWS ALTER COLUMN ORICWS SET DEFAULT 'O';

/*-- SEQ 0030 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CWS'));

/*-- SEQ 0031 --*/
UPDATE TD_CWS
   SET ORICWS = 'O';

/*-- SEQ 0032 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CWS'));

/*-- SEQ 0033 --*/
ALTER TABLE TD_CWS ALTER COLUMN ORICWS SET NOT NULL;

/*-- SEQ 0034 --*/
ALTER TABLE TW_TAB ADD TIPWOR VARCHAR(1);

/*-- SEQ 0035 --*/
ALTER TABLE TW_TAB ALTER COLUMN TIPWOR SET DEFAULT 'O';

/*-- SEQ 0036 --*/
ALTER TABLE TW_TAB ADD ORICWS VARCHAR(1);

/*-- SEQ 0037 --*/
ALTER TABLE TW_TAB ALTER COLUMN ORICWS SET DEFAULT 'O';


/*-- SEQ 0038 --*/
update tt_usu set permis = substr(permis,1,232)||'N'||substr(permis,234,9999);


/*-- SEQ 0039 --*/
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0040 --*/
UPDATE TT_GRA
   SET GRAATI = 'T'
 WHERE GRAATI IS NULL;

/*-- SEQ 0041 --*/
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0042 --*/
ALTER TABLE TT_GRA ALTER COLUMN GRAATI SET DEFAULT 'T';

/*-- SEQ 0043 --*/
ALTER TABLE TT_GRA ALTER COLUMN GRAATI SET NOT NULL;


/*-- SEQ 0044 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_tit_recebido () CASCADE;

/*-- SEQ 0046 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_tit_recebido ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Titulo Recebido A Realizar'',''N'',''O'',''N''); 
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT 37 AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''TITULO_RECEBIDO'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_tit_recebido() from dual;


/*-- SEQ 0048 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICO ADD PROSUB CHAR(1);

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_PROSUB CHECK (PROSUB IN ('T','F'));

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_ICO_FIS ADD PROSUB CHAR(1);

/*-- SEQ 0052 --*/
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0053 --*/
UPDATE TT_ICO SET PROSUB = 'T'
 WHERE (FILMAT, CODMAT) IN 
       (SELECT ICO.FILMAT, ICO.CODMAT
          FROM TT_COM COM INNER JOIN TT_ICO ICO ON ICO.CODFIL = COM.CODFIL AND ICO.SEQUEN = COM.SEQUEN
                          INNER JOIN TT_IUF IUF ON IUF.FILMAT = ICO.FILMAT AND IUF.CODMAT = ICO.CODMAT
        WHERE COM.SUBSTT <> 0
          AND IUF.SUBTRI = 3)
   AND PROSUB IS NULL;

/*-- SEQ 0054 --*/
UPDATE TT_ICO SET PROSUB = 'F'
 WHERE PROSUB IS NULL;

/*-- SEQ 0055 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));


/*-- SEQ 0056 --*/
ALTER TABLE TT_TCP ADD CODFIL CHAR(3);

/*-- SEQ 0057 --*/
ALTER TABLE TT_TCP ADD SEQUEN CHAR(10);

/*-- SEQ 0058 --*/
ALTER TABLE TT_TCP DROP CONSTRAINT PK_TCP ;


/*-- SEQ 0059 --*/
ALTER TABLE TT_TCP ALTER COLUMN CARTAO DROP NOT NULL;

/*-- SEQ 0060 --*/
ALTER TABLE TT_TCP ALTER COLUMN NUMPAR DROP NOT NULL;

/*-- SEQ 0061 --*/
CREATE SEQUENCE SQTCP INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0062 --*/
UPDATE TT_TCP SET CODFIL = (SELECT CODLOJ FROM TT_IDF), SEQUEN = LPAD(NEXTVAL('SQTCP'), 10, ' ')
 WHERE CODFIL IS NULL;

/*-- SEQ 0063 --*/
ALTER TABLE TT_TCP ADD CONSTRAINT CK_TCP_REGRA1 CHECK (NUMPAR IS NOT NULL OR CODFIL IS NOT NULL);

/*-- SEQ 0064 --*/
ALTER TABLE TT_TCP ADD CONSTRAINT FK_TCP_CODFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0065 --*/
ALTER TABLE TT_TCP ADD CONSTRAINT PK_TCP PRIMARY KEY (CODFIL,SEQUEN)   ;

/*-- SEQ 0066 --*/
ALTER TABLE TT_TCP ADD CONSTRAINT AK_CARTAO UNIQUE(CODFIL,CARTAO,NUMPAR)   ;



/*-- SEQ 0067 --*/
ALTER TABLE TT_TEF ADD VLRTAX_AUX Numeric(14,2);

/*-- SEQ 0068 --*/
SELECT DISABLETRIGGERS(LOWER('TT_TEF'));

/*-- SEQ 0069 --*/
UPDATE TT_TEF SET VLRTAX_AUX = VLRTAX;

/*-- SEQ 0070 --*/
ALTER TABLE TT_TEF DROP COLUMN VLRTAX CASCADE;

/*-- SEQ 0071 --*/
ALTER TABLE TT_TEF ADD VLRTAX Numeric(14,2);

/*-- SEQ 0072 --*/
UPDATE TT_TEF SET VLRTAX = VLRTAX_AUX;

/*-- SEQ 0073 --*/
SELECT ENABLETRIGGERS(LOWER('TT_TEF'));

/*-- SEQ 0074 --*/
ALTER TABLE TT_TEF DROP COLUMN VLRTAX_AUX CASCADE;



/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
DROP VIEW TV_LMC_COM CASCADE;

/*-- SEQ 0076 --*/
SELECT ExecAlteraTipoColuna('TT_DES','QTDLTS','Numeric(12,4)');



/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_FPV ADD SUBFED CHAR(1);


/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCC ADD CONSTRAINT FK_CCC_CLI FOREIGN KEY (FILCLI, CODCLI) REFERENCES TT_CLI;

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
CREATE  INDEX I_FK_CCC_CLI ON TT_CCC (FILCLI, CODCLI)  ;

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
CREATE  INDEX I_LC_CCC_EXPORT ON TT_CCC (EXPORT)  ;

/*-- SEQ 0081 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CCC'));

/*-- SEQ 0082 --*/
UPDATE TT_CCC SET EXPORT = 'F'
 WHERE EXPORT IS NULL;

/*-- SEQ 0083 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CCC'));

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCC ALTER COLUMN EXPORT SET NOT NULL;

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCC ALTER COLUMN EXPORT SET DEFAULT 'F';


/*-- SEQ 0086 --*/
/*--IGNORE ERRO--*/
UPDATE TT_OUT SET SQLOUT = 'SELECT GRA.CODEXT,PRO.FILMAT,PRO.CODMAT,PRO.REFBAS,PRO.DESMAT,PRO.ESPMAT, DCTR.CODTAB AS CODCTR,PRO.CONTRA,PRO.CONTRO,
PRO.DESECF,FAB.CODEXT AS CODFAB, MAR.DESMAR, PRO.ENTREG,CASE WHEN PRO.SIGNAT >= 0 THEN "T" ELSE "F" END AS ATIVO,
CASE WHEN PRO.SIGNAT >= 0 THEN NULL ELSE DINA.DESINA END AS DESINA,DCL1.CLASS1,DCL2.CLASS2,DCL3.CLASS3,DCL4.CLASS4,
DDEP.DESDEP AS DEPART,DSAZ.DESSAZ AS SAZONA,PRO.TIPPRO, PRO.CLSXYZ,PRO.DATCAD,PRO.DECIMA,DETI.DESETI AS ETIQUE,PRO.SUBFED,
PRO.NUMEXT,PRO.OBSERV,PRO.BRINDE,DGRA.NOMGRA AS DESGRA,PRO.MONTAR,PRO.NUMITE, PRO.RETCOF,DDIV.NOMDIV,DIV.NOMITE AS ITEDIV,
DSUB.NOMSUB, SUB.NOMITE AS ITESUB,GRA.TIPVAL,GRA.VALIDA,GRA.VOLUNI,GRA.REFPRO,PRO.NOMIMG,GRA.MINQTD,GRA.PTOQTD, GRA.QTDREP,
CASE WHEN PRO.BALSIM = "T" THEN 0 ELSE GRA.PESLIQ END AS PESLIQ, GRA.PESBRU, GRA.PROMOC,GRA.PRECOM, GRA.DATCOM, GRA.CUSREP, GRA.TEMREP,GRA.DESMAX,GRA.DESIDE, GRA.PERLUC,
GRA.PERCOM, GRA.LOCALI,MED1.UNIMED AS UNIDAD, MED2.UNIMED AS UNIFOR, GRA.VALCON, GRA.CUSFRE, GRA.CONAPL,GRA.QTDEMB,
DAPL.UNIMED AS UNIAPL, DEMB.UNIMED AS UNIEMB, GRA.DESCOM, GRA.FORLIN, GRA.ICMCOM,GRA.ICMFRE, GRA.IPICOM, GRA.MARKUP,
GRA.OBSERV AS OBSGRA,GRA.PREPSI, GRA.QTDCOM,GRA.SEGFRE,GRA.SUBCOM, GRA.TAXCOM,0.00 AS PRECOV,IUF.ESTADO, DFIS.CODFIS,
DICM.RESICM,DIES.ICMSES AS REDESP, DIME.ICMSME AS REDUME,DIRE.ICMSRE AS REDALI,DIR1.ICMSR1 AS REDUC1, DIR2.ICMSR2 AS REDUC2,
IUF.LUCSUB, IUF.SUBTRI,IUF.INSAGR,IUF.CALSUB,DTRI.CODTRI AS CODTRI, DCFP.DESCFP, IUF.REGESP,IUF.PERSRV,DIPI.RESIPI,
DIRR.RESIRR,TO_CHAR(" ") AS CAL_CM,0 AS STATUS, TO_CHAR(" ") AS DATIMP, TO_CHAR(" ") AS MOTREJ
FROM TT_PRO PRO INNER JOIN TT_GRA GRA ON GRA.FILMAT = PRO.FILMAT AND GRA.CODMAT = PRO.CODMAT
INNER JOIN TT_DIV DIV ON DIV.CODITE = GRA.CODCOR
INNER JOIN TT_SUB SUB ON SUB.CODITE = GRA.CODTAM
INNER JOIN TD_DIV DDIV ON DDIV.CODTAB = DIV.CODDIV
INNER JOIN TD_SUB DSUB ON DSUB.CODTAB = SUB.CODSUB
INNER JOIN TD_CL1 DCL1 ON DCL1.CODTAB = PRO.CLASS1
INNER JOIN TD_CL2 DCL2 ON DCL2.CODTAB = PRO.CLASS2
INNER JOIN TD_CL3 DCL3 ON DCL3.CODTAB = PRO.CLASS3
INNER JOIN TD_CL4 DCL4 ON DCL4.CODTAB = PRO.CLASS4
INNER JOIN TD_DEP DDEP ON DDEP.CODTAB = PRO.DEPART
INNER JOIN TD_SAZ DSAZ ON DSAZ.CODTAB = PRO.CODSAZ
INNER JOIN TD_GRA DGRA ON DGRA.CODTAB = PRO.CODGRA
INNER JOIN TD_MED MED1 ON MED1.CODTAB = GRA.UNIDAD
INNER JOIN TD_MED MED2 ON MED2.CODTAB = GRA.UNIFOR
INNER JOIN TT_IUF IUF ON IUF.FILMAT = PRO.FILMAT AND IUF.CODMAT = PRO.CODMAT
LEFT JOIN TD_FIS DFIS ON DFIS.CODTAB = IUF.CODFIS
LEFT JOIN TD_ICM DICM ON DICM.CODTAB = IUF.RESICM
LEFT JOIN TD_IES DIES ON DIES.CODTAB = IUF.REDESP
LEFT JOIN TD_IME DIME ON DIME.CODTAB = IUF.REDUME
LEFT JOIN TD_IRE DIRE ON DIRE.CODTAB = IUF.REDALI
LEFT JOIN TD_IR1 DIR1 ON DIR1.CODTAB = IUF.REDUC1
LEFT JOIN TD_IR2 DIR2 ON DIR2.CODTAB = IUF.REDUC2
LEFT JOIN TD_TRI DTRI ON DTRI.CODTAB = IUF.CODTRI
LEFT JOIN TD_IRR DIRR ON DIRR.CODTAB = PRO.RESIRR
LEFT JOIN TD_IPI DIPI ON DIPI.CODTAB = PRO.RESIPI
LEFT JOIN TD_MED DAPL ON DAPL.CODTAB = GRA.UNIAPL
LEFT JOIN TD_MED DEMB ON DEMB.CODTAB = GRA.UNIEMB
LEFT JOIN TD_INA DINA ON DINA.CODTAB = PRO.CODINA
LEFT JOIN TT_MAR MAR ON MAR.FILMAR = PRO.FILMAR AND MAR.CODMAR = PRO.CODMAR AND MAR.ITEMAR = PRO.ITEMAR
LEFT JOIN TT_REL REL ON REL.FILPAR = MAR.FILMAR AND REL.CODPAR = MAR.CODMAR AND REL.TIPPAR = MAR.TIPMAR
LEFT JOIN TT_CLI FAB ON FAB.FILCLI = REL.FILPAR AND FAB.CODCLI = REL.CODPAR
LEFT JOIN TD_CTR DCTR ON DCTR.CODTAB = PRO.CODCTR
LEFT JOIN TD_ETI DETI ON DETI.CODTAB = PRO.ETIQUE
LEFT JOIN TD_CFP DCFP ON DCFP.CODTAB = IUF.CODCFP
INNER JOIN TD_EXP DEXP ON DEXP.CODTAB = 1
WHERE PRO.ATU_EM BETWEEN TO_DATE(TO_CHAR(TRUNC(DEXP.DATINI),"DD/MM/YYYY")||" 00:00:00","DD/MM/YYYY HH24:MI:SS") AND TO_DATE(TO_CHAR(TRUNC(DEXP.DATFIM),"DD/MM/YYYY")||" 23:59:59","DD/MM/YYYY HH24:MI:SS")'
WHERE CODTAB = 'EPRO'
  AND CODEXP = 1;

/*-- SEQ 0087 --*/
/*--IGNORE ERRO--*/
UPDATE TT_OUT SET SQLOUT = 'SELECT CHR.CODFIL, CHR.FLGEST, CHR.CODBCO, USU.CODEXT AS CODUSU, CHR.CODAGE, CHR.NUMCHE,
        CHR.NUMCON, CHR.NUMDOC, CHR.ATU_EM, CHR.DATVEN, CHR.VLRCHE, CHR.PORTAD,
        CHR.PAGAME, CHR.VLRDIF, CHR.NUMDEP, CHR.ALINEA, CHR.AUTORI, CHR.TIPCOB,
        CHR.OBSLOG, CHR.DATOPE, CHR.NUMECF, CHR.CDCMC7, CLI.CODEXT AS CODCLI, CHR.VLRORI,
        CHR.PLACAS, CHR.SERCHE
   FROM TT_CHR CHR INNER JOIN TT_USU USU  ON USU.FILUSU = CHR.FILUSU AND USU.CODUSU = CHR.CODUSU
                   INNER JOIN TT_CLI CLI  ON CLI.CODCLI = CHR.CODCLI AND CLI.FILCLI = CHR.FILCLI
                   INNER JOIN TD_EXP DEXP ON DEXP.CODTAB = 1
  WHERE CHR.ATU_EM BETWEEN TO_DATE(TO_CHAR(TRUNC(DEXP.DATINI),"DD/MM/YYYY")||" 00:00:00","DD/MM/YYYY HH24:MI:SS") AND TO_DATE(TO_CHAR(TRUNC(DEXP.DATFIM),"DD/MM/YYYY")||" 23:59:59","DD/MM/YYYY HH24:MI:SS")'
WHERE CODTAB = 'ECHR'
  AND CODEXP = 1;

/*-- SEQ 0088 --*/
/*--IGNORE ERRO--*/
UPDATE TT_OUT SET SQLOUT = 'SELECT VEN.CODFIL, VEN.NUMNOT, VEN.NUMECF, VEN.CODSER, IVE.NUMITE, IVE.LANEST,
       GRA.CODEXT AS CODMAT, VEN.DATHOR AS VEN_DATHOR, IVE.QTDMOV, IVE.VLRMOV,
       IVE.ICMTIP, IVE.SITMOV, IVE.TIP001, COALESCE(IVE.TAX001,0) AS PERICM,
       COALESCE(IVE.VLR001,0) AS VLRICM, COALESCE(IVE.TAX002,0) AS PERIPI, COALESCE(IVE.VLR002,0) AS VLRIPI,
       COALESCE(IVE.TAXISS,0) AS TAXISS, COALESCE(IVE.VLRISS,0) AS VLRISS, COALESCE(IVE.TAXIRR,0) AS TAXIRR,
       COALESCE(IVE.VLRIRR,0) AS VLRIRR,
       CASE WHEN ENDE.SIGEST <> VEN.UFLOJA
            THEN DNAT.NATFOR
            ELSE DNAT.NATDEN
       END AS NATFIS, IVE.TIPPRO, IVE.VINCUL, IVE.SITKIT, VRI.CODFIL AS FILORI, VRI.NUMNOT AS NOTORI, IVE.EMBORI,
       VRI.CODSER AS SERORI, VRI.NUMECF AS ECFORI, ORI.NUMITE AS ITEORI,
       IVE.REDITE, IVE.EMBQTD, IVE.NUMEXT, IVE.COMISS, IVE.EXPORT,
       DMUL.DESMUL AS CODMUL, IVE.ORD_CM, IVE.QTD_CM, VDD.CODEXT AS CODVDD,
       IVE.DATINC, IVE.FILBIC, IVE.SEQFIL, 0 AS STATUS, TO_CHAR(" ") AS DATIMP,TO_CHAR(" ") AS MOTREJ
   FROM TT_VEN VEN INNER JOIN TT_IVE IVE ON IVE.CODFIL = VEN.CODFIL AND IVE.SEQUEN = VEN.SEQUEN
                    LEFT JOIN TT_IVE ORI ON ORI.CODFIL = IVE.FILORI AND ORI.SEQUEN = IVE.NUMORI AND ORI.NUMITE = IVE.ITEORI
                    LEFT JOIN TT_VEN VRI ON VRI.CODFIL = IVE.FILORI AND VRI.SEQUEN = IVE.NUMORI
                   INNER JOIN TT_GRA GRA ON GRA.FILMAT = IVE.FILMAT AND GRA.CODMAT = IVE.CODMAT
                                        AND GRA.CODCOR = IVE.CODCOR AND GRA.CODTAM = IVE.CODTAM
                   INNER JOIN TD_NAT DNAT ON DNAT.CODTAB = VEN.CODNAT
                   INNER JOIN TT_CLI CLI ON CLI.FILCLI = VEN.FILCLI AND CLI.CODCLI = VEN.CODCLI
                    LEFT JOIN TT_END ENDE ON ENDE.FILCLI = CLI.FILCLI AND ENDE.CODCLI = CLI.CODCLI AND ENDE.NUMEND = COALESCE(VEN.ENDENT,1)
                    LEFT JOIN TT_USU VDD ON VDD.FILUSU = IVE.FILVDD AND IVE.CODVDD = VDD.CODUSU
                   INNER JOIN TD_EXP DEXP ON DEXP.CODTAB = 1
                   INNER JOIN TD_MUL DMUL ON DMUL.CODTAB = IVE.CODMUL
 WHERE VEN.ATU_EM BETWEEN TO_DATE(TO_CHAR(TRUNC(DEXP.DATINI),"DD/MM/YYYY")||" 00:00:00","DD/MM/YYYY HH24:MI:SS") AND TO_DATE(TO_CHAR(TRUNC(DEXP.DATFIM),"DD/MM/YYYY")||" 23:59:59","DD/MM/YYYY HH24:MI:SS")'
WHERE CODTAB = 'EIVE'
  AND CODEXP = 1;

/*-- SEQ 0089 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_NAT DROP CONSTRAINT CK_INAT_TIPNAT;

/*-- SEQ 0090 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_NAT ADD CONSTRAINT CK_INAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N'));


/*-- SEQ 0091 --*/
/*--IGNORE ERRO--*/
alter table tt_cfg drop constraint ck_cfg_CK_FECHA_VALOR_CONTADO;

/*-- SEQ 0092 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0093 --*/
UPDATE TT_CFG SET ck_fecha_valor_contado = 'T';

/*-- SEQ 0094 --*/
alter table tt_cfg add constraint ck_cfg_ck_fecha_valor_contado check (ck_fecha_valor_contado='T');

/*-- SEQ 0095 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
CREATE  INDEX I_LC_CCC_STATUS ON TT_CCC (STATUS)  ;


/*-- SEQ 0097 --*/
SELECT DISABLETRIGGERS(LOWER('TT_FIN'));

/*-- SEQ 0098 --*/
insert into tl_fin (origem,filori,seqori,parori,subori,flgest,datinc)
(select distinct cast('FIN' as char(3)) as origem,
        ori.codfil as codfil,
        ori.sequen as SEQUEN,
        '--',
        '--',
        'N',
        agora()
   from tt_fin des inner join tt_fin ori on ori.codfil = des.codfil
                                        and ori.sequen = des.seqtrn
                   left join tl_fin lfin on ori.codfil=lfin.filori and ori.sequen=lfin.seqori and lfin.origem='FIN'                
  where des.seqtrn is not null
    and des.tipger = 'M'
    and ori.tipger <> 'M'
    and lfin.filori is null
);

/*-- SEQ 0099 --*/
update tt_fin
set tipger = 'M', seqger = (select des.seqger
                              from tt_fin des 
                             where tt_fin.codfil = des.codfil
                               and tt_fin.sequen = des.seqtrn
                            )
where (codfil, sequen) in (select ori.codfil, ori.sequen
                           from tt_fin des inner join tt_fin ori on ori.codfil = des.codfil
                                                                and ori.sequen = des.seqtrn
                           where des.seqtrn is not null
                             and des.tipger = 'M'
                             and ori.tipger <> 'M');

/*-- SEQ 0100 --*/
SELECT ENABLETRIGGERS(LOWER('TT_FIN'));


/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FIN ADD CODMOE Numeric(5);

/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FIN ALTER COLUMN CODMOE SET DEFAULT 0;

/*-- SEQ 0103 --*/
SELECT DISABLETRIGGERS(LOWER('TT_FIN'));

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_FIN SET CODMOE=0
WHERE CODMOE IS NULL;

/*-- SEQ 0105 --*/
SELECT ENABLETRIGGERS(LOWER('TT_FIN'));

/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FIN ADD CONSTRAINT FK_FIN_DMOE FOREIGN KEY (CODMOE) REFERENCES TD_MOE (CODTAB);

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('FIN_CODMOE',AGORA());


